'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var get = function get(object, property, receiver) {
  if (object === null) object = Function.prototype;
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent === null) {
      return undefined;
    } else {
      return get(parent, property, receiver);
    }
  } else if ("value" in desc) {
    return desc.value;
  } else {
    var getter = desc.get;

    if (getter === undefined) {
      return undefined;
    }

    return getter.call(receiver);
  }
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

window.calendarLoaded=!1,window.Calendar_CalendarExtended_Js=function(_Calendar_Calendar_Js){function Calendar_CalendarExtended_Js(container,readonly){classCallCheck(this,Calendar_CalendarExtended_Js);var _this=possibleConstructorReturn(this,(Calendar_CalendarExtended_Js.__proto__||Object.getPrototypeOf(Calendar_CalendarExtended_Js)).call(this,container,readonly));return _this.sidebarView={length:0},_this.calendarContainer=!1,_this.addCommonMethodsToYearView(),_this.calendar=_this.getCalendarView(),_this}/**
	 * Function extends FC.views.year with current class methods
	 */return inherits(Calendar_CalendarExtended_Js,_Calendar_Calendar_Js),createClass(Calendar_CalendarExtended_Js,[{key:'addCommonMethodsToYearView',value:function addCommonMethodsToYearView(){var self=this;FC.views.year=FC.views.year.extend({baseInstance:self,selectDays:self.selectDays,getCalendarCreateView:self.getCalendarCreateView,getSidebarView:self.getSidebarView,getCurrentCvId:self.getCurrentCvId,getCalendarView:self.getCalendarView,showRightPanelForm:self.showRightPanelForm,getSelectedUsersCalendar:self.getSelectedUsersCalendar,registerClearFilterButton:self.registerClearFilterButton,clearFilterButton:self.clearFilterButton,registerFilterTabChange:self.registerFilterTabChange,sidebarView:self.sidebarView,registerAfterSubmitForm:self.registerAfterSubmitForm,registerViewRenderEvents:self.registerViewRenderEvents,appendSubDateRow:self.appendSubDateRow,refreshDatesRowView:self.refreshDatesRowView,generateYearList:self.generateYearList,updateCountTaskCalendar:self.updateCountTaskCalendar,registerDatesChange:self.registerDatesChange,addHeaderButtons:self.addHeaderButtons,browserHistoryConfig:self.browserHistoryConfig,readonly:self.readonly,container:self.container,module:self.module,showChangeDateButtons:self.showChangeDateButtons,showTodayButtonCheckbox:self.showTodayButtonCheckbox,getDefaultParams:self.getDefaultParams});}/**
	 * Render calendar
	 */},{key:'renderCalendar',value:function renderCalendar(){var self=this,basicOptions=this.setCalendarOptions(),options={header:{left:'year,month,'+app.getMainParams('weekView')+','+app.getMainParams('dayView'),center:'prevYear,prev,title,next,nextYear',right:'today'},views:{basic:{eventLimit:!1},year:{eventLimit:10,eventLimitText:app.vtranslate('JS_COUNT_RECORDS'),titleFormat:'YYYY',select:function select(){},loadView:function loadView(){self.getCalendarView().fullCalendar('getCalendar').view.render();}},month:{titleFormat:this.parseDateFormat('month'),loadView:function loadView(){self.loadCalendarData();}},week:{titleFormat:this.parseDateFormat('week'),loadView:function loadView(){self.loadCalendarData();}},day:{titleFormat:this.parseDateFormat('day'),loadView:function loadView(){self.loadCalendarData();}},basicDay:{type:'agendaDay',loadView:function loadView(){self.loadCalendarData();}}},select:function select(start,end){self.selectDays(start,end),self.getCalendarView().fullCalendar('unselect');},eventRender:function eventRender(event,element){self.eventRenderer(event,element);},viewRender:function viewRender(view){'year'!==view.type&&self.loadCalendarData(view);},addCalendarEvent:function addCalendarEvent(calendarDetails){self.getCalendarView().fullCalendar('renderEvent',self.getEventData(calendarDetails));}};options=Object.assign(basicOptions,options),options.eventClick=!this.readonly&&self.eventEdit?function(calEvent,jsEvent){jsEvent.preventDefault(),self.getCalendarSidebarData($(this).attr('href'));}:function(calEvent,jsEvent){jsEvent.preventDefault();var link=new URL($(this)[0].href);window.location.assign('index.php?module='+this.module+'&view=Detail&record='+link.searchParams.get('record'));},this.calendar.fullCalendar(options);}},{key:'registerChangeView',value:function registerChangeView(){}},{key:'addHeaderButtons',value:function addHeaderButtons(){if(!this.calendarContainer.find('.js-calendar__view-btn').length){var buttonsContainer=this.calendarContainer.prev('.js-calendar__header-buttons'),viewBtn=buttonsContainer.find('.js-calendar__view-btn').clone(),filters=buttonsContainer.find('.js-calendar__filter-container').clone();this.calendarContainer.find('.fc-left').prepend(viewBtn),this.calendarContainer.find('.fc-center').after(filters),this.registerClearFilterButton(),this.registerFilterTabChange();}}},{key:'registerSwitchEvents',value:function registerSwitchEvents(){var _this2=this,calendarView=this.getCalendarView(),changeDaysState=void 0,changeType=void 0,switchContainer=$('.js-calendar__tab--filters'),switchShowType=switchContainer.find('.js-switch--showType'),showTypeState=switchShowType.find('.js-switch--label-on.active').length?'current':'history',switchSwitchingDays=switchContainer.find('.js-switch--switchingDays'),switchingDaysState=switchSwitchingDays.find('input:checked').data('val'),historyParams=app.getMainParams('historyParams',!0);''===historyParams?(changeDaysState=app.getMainParams('switchingDays'),changeType=app.getMainParams('showType')):(changeType=void 0===historyParams.time?app.getMainParams('showType'):historyParams.time,changeDaysState=''===historyParams.hiddenDays?'all':'workDays'),switchShowType.length&&(switchShowType.on('change','input',function(e){var currentTarget=$(e.currentTarget);'undefined'==typeof currentTarget.data('on-text')?'undefined'!=typeof currentTarget.data('off-text')&&(app.setMainParams('showType','history'),app.moduleCacheSet('defaultShowType','history')):(app.setMainParams('showType','current'),app.moduleCacheSet('defaultShowType','current')),calendarView.fullCalendar('getCalendar').view.options.loadView();}),app.getMainParams('showType')!==changeType&&$('input[data-val="'+changeType+'"]',switchShowType).trigger('change')),switchSwitchingDays.length&&(switchSwitchingDays.on('change','input',function(e){var currentTarget=$(e.currentTarget),hiddenDays=[];'undefined'==typeof currentTarget.data('on-text')?'undefined'!=typeof currentTarget.data('off-text')&&(app.setMainParams('switchingDays','all'),app.moduleCacheSet('defaultSwitchingDays','all')):(app.setMainParams('switchingDays','workDays'),app.moduleCacheSet('defaultSwitchingDays','workDays'),hiddenDays=app.getMainParams('hiddenDays',!0)),calendarView.fullCalendar('option','hiddenDays',hiddenDays),calendarView.fullCalendar('option','height',_this2.setCalendarHeight()),'year'===calendarView.fullCalendar('getView').type&&_this2.registerViewRenderEvents(calendarView.fullCalendar('getView'));}),app.getMainParams('switchingDays')===changeDaysState?changeDaysState!==switchingDaysState:$('input[data-val="'+changeDaysState+'"]',switchSwitchingDays).trigger('change'));}/**
	 * Appends subdate row to calendar header and register its scroll
	 * @param toolbar
	 */},{key:'appendSubDateRow',value:function appendSubDateRow(toolbar){this.calendarContainer.find('.js-dates-row').length||(this.subDateRow=$('\n\t\t\t\t\t\t\t\t<div class="js-scroll js-dates-row u-overflow-auto-lg-down order-4 flex-grow-1 position-relative my-1 w-100" data-js="perfectScrollbar | container">\n\t\t\t\t\t\t\t\t\t<div class="d-flex flex-nowrap w-100">\n\t\t\t\t\t\t\t\t\t\t<div class="js-sub-date-list w-100 sub-date-list row no-gutters flex-nowrap nav nav-tabs" data-js="data-type"></div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t'),toolbar.append(this.subDateRow),$(window).width()>app.breakpoints.lg&&app.showNewScrollbar(this.subDateRow));}/**
	 * Function toggles next year/month and general arrows on view render
	 * @param view
	 * @param element
	 */},{key:'registerViewRenderEvents',value:function registerViewRenderEvents(view){this.calendarContainer=this.getCalendarView();var toolbar=this.calendarContainer.find('.fc-toolbar.fc-header-toolbar');this.showChangeDateButtons(view,toolbar),this.appendSubDateRow(toolbar),this.refreshDatesRowView(view),this.addHeaderButtons(),this.showTodayButtonCheckbox(toolbar);}/**
	 * Function appends and shows today button's checkbox
	 * @param {jQuery} toolbar
	 */},{key:'showTodayButtonCheckbox',value:function showTodayButtonCheckbox(toolbar){var todayButton=toolbar.find('.fc-today-button'),todyButtonIcon=todayButton.hasClass('fc-state-disabled')?'fa-calendar-check':'fa-calendar',popoverContent=app.vtranslate('JS_CURRENT')+' '+toolbar.find('.fc-state-active').text().toLowerCase();todayButton.removeClass('.fc-button'),todayButton.html('<div class="js-popover-tooltip--day-btn" data-toggle="popover"><span class="far fa-lg '+todyButtonIcon+'"></span></div>'),app.showPopoverElementView(todayButton.find('.js-popover-tooltip--day-btn'),{content:popoverContent,container:'.fc-today-button .js-popover-tooltip--day-btn'});}/**
	 * Function shows change date buttons in calendar's header for specific view
	 * @param view
	 * @param toolbar
	 */},{key:'showChangeDateButtons',value:function showChangeDateButtons(view,toolbar){var viewType=view.type.replace(/basic|agenda/g,'').toLowerCase(),nextPrevButtons=toolbar.find('.fc-prev-button, .fc-next-button'),yearButtons=toolbar.find('.fc-prevYear-button, .fc-nextYear-button');window.calendarLoaded||(yearButtons.first().html('<span class="fas fa-xs fa-minus mr-1"></span>'+view.options.buttonText.year),yearButtons.last().html(view.options.buttonText.year+'<span class="fas fa-xs fa-plus ml-1"></span>')),'year'!==view.type&&(nextPrevButtons.first().html('<span class="fas fa-xs fa-minus mr-1"></span>'+view.options.buttonText[viewType]),nextPrevButtons.last().html(view.options.buttonText[viewType]+'<span class="fas fa-xs fa-plus ml-1"></span>')),'year'===view.type?(nextPrevButtons.hide(),yearButtons.show()):'month'===view.type?(nextPrevButtons.show(),yearButtons.show()):(nextPrevButtons.show(),yearButtons.hide());}/**
	 * Date bar with counts
	 * @param object calendarView
	 */},{key:'refreshDatesRowView',value:function refreshDatesRowView(calendarView){var self=this;switch(calendarView.type){case'year':self.generateYearList(calendarView.intervalStart,calendarView.intervalEnd);break;case'month':self.generateSubMonthList(calendarView.intervalStart,calendarView.intervalEnd);break;case'week':case'agendaWeek':self.generateSubWeekList(calendarView.start,calendarView.end);break;default:self.generateSubDaysList(calendarView.start,calendarView.end);}self.updateCountTaskCalendar(),self.registerDatesChange();}},{key:'registerDatesChange',value:function registerDatesChange(){var _this3=this;this.container.find('.js-dates-row .js-sub-record').on('click',function(e){var currentTarget=$(e.currentTarget);currentTarget.addClass('active'),_this3.getCalendarView().fullCalendar('gotoDate',moment(currentTarget.data('date'),'YYYY-MM-DD'));});}},{key:'getCurrentCvId',value:function getCurrentCvId(){return $('.js-calendar__extended-filter-tab .active').parent('.js-filter-tab').data('cvid')}},{key:'registerFilterTabChange',value:function registerFilterTabChange(){var thisInstance=this;this.getCalendarView().find('.js-calendar__extended-filter-tab').on('shown.bs.tab',function(){thisInstance.getCalendarView().fullCalendar('getCalendar').view.options.loadView();});}},{key:'getSelectedUsersCalendar',value:function getSelectedUsersCalendar(){var sidebar=this.getSidebarView(),selectedUsers=sidebar.find('.js-input-user-owner-id:checked'),selectedUsersAjax=sidebar.find('.js-input-user-owner-id-ajax'),selectedRolesAjax=sidebar.find('.js-input-role-owner-id-ajax'),users=[];return 0<selectedUsers.length?selectedUsers.each(function(){users.push($(this).val());}):0<selectedUsersAjax.length&&(users=selectedUsersAjax.val().concat(selectedRolesAjax.val())),users}},{key:'getSidebarView',value:function getSidebarView(){return this.sidebarView&&this.sidebarView.length||(this.sidebarView=this.container.find('.js-calendar-right-panel')),this.sidebarView}},{key:'updateCountTaskCalendar',value:function updateCountTaskCalendar(){var datesView=this.container.find('.js-dates-row'),subDatesElements=datesView.find('.js-sub-record'),dateArray={},userDateFormat=CONFIG.dateFormat.toUpperCase(),user=this.getSelectedUsersCalendar();0===user.length&&(user=app.getMainParams('usersId')),void 0===user&&(user=[app.getMainParams('userId')]),subDatesElements.each(function(key){var data=$(this).data('date'),type=$(this).data('type');'years'===type?dateArray[key]=[moment(data+'-01').format(userDateFormat)+' 00:00:00',moment(data+'-01').endOf('year').format(userDateFormat)+' 23:59:59']:'months'===type?dateArray[key]=[moment(data).format(userDateFormat)+' 00:00:00',moment(data).endOf('month').format(userDateFormat)+' 23:59:59']:'weeks'===type?dateArray[key]=[moment(data).format(userDateFormat)+' 00:00:00',moment(data).add(6,'day').format(userDateFormat)+' 23:59:59']:'days'===type&&(dateArray[key]=[moment(data).format(userDateFormat)+' 00:00:00',moment(data).format(userDateFormat)+' 23:59:59']);}),AppConnector.request({module:this.module,action:'Calendar',mode:'getCountEventsGroup',dates:dateArray,user:user,time:app.getMainParams('showType'),cvid:this.getCurrentCvId()}).done(function(events){subDatesElements.each(function(key){$(this).find('.js-count-events').removeClass('hide').html(events.result[key]);});});}/**
	 * Register events to EditView
	 * @param {jQuery} sideBar
	 */},{key:'registerEditForm',value:function registerEditForm(sideBar){var _this4=this,editViewInstance=Vtiger_Edit_Js.getInstanceByModuleName(sideBar.find('[name="module"]').val()),headerInstance=new Vtiger_Header_Js,params=[],rightFormCreate=sideBar.find('form[name="QuickCreate"]');editViewInstance.registerBasicEvents(rightFormCreate),rightFormCreate.validationEngine(app.validationEngineOptions),App.Fields.Picklist.showSelect2ElementView(sideBar.find('select')),sideBar.find('.js-summary-close-edit').on('click',function(){_this4.getCalendarCreateView();}),params.callbackFunction=this.registerAfterSubmitForm(this,rightFormCreate),headerInstance.registerQuickCreatePostLoadEvents(rightFormCreate,params),new App.Fields.Text.Editor(sideBar.find('.js-editor'),{height:'5em',toolbar:'Min'});}/**
	 * EditView
	 * @param {Object}|{number} params
	 */},{key:'getCalendarSidebarData',value:function getCalendarSidebarData(params){var _this5=this,thisInstance=this,aDeferred=$.Deferred(),progressInstance=$.progressIndicator({blockInfo:{enabled:!0}});return $.isNumeric(params)&&(params={module:this.module,view:'EventForm',record:params}),AppConnector.request(params).done(function(data){thisInstance.openRightPanel(),progressInstance.progressIndicator({mode:'hide'});var sidebar=thisInstance.getSidebarView();_this5.updateSidebar(sidebar,data),sidebar.find('form').length?thisInstance.registerEditForm(sidebar):(app.showNewScrollbar(sidebar.find('.js-calendar__form__wrapper'),{suppressScrollX:!0}),sidebar.find('.js-activity-state .js-summary-close-edit').on('click',function(){thisInstance.getCalendarCreateView();}),sidebar.find('.js-activity-state .editRecord').on('click',function(){thisInstance.getCalendarSidebarData($(this).data('id'));})),aDeferred.resolve(sidebar.find('.js-qc-form'));}).fail(function(error){progressInstance.progressIndicator({mode:'hide'}),app.errorLog(error);}),aDeferred.promise()}/**
	 * Update sidebar
	 * @param {jQuery} sidebar
	 * @param {html} data
	 */},{key:'updateSidebar',value:function updateSidebar(sidebar,data){sidebar.find('.js-qc-form').html(data),this.showRightPanelForm();}},{key:'loadCalendarData',value:function loadCalendarData(){var view=0<arguments.length&&void 0!==arguments[0]?arguments[0]:this.getCalendarView().fullCalendar('getView'),self=this,formatDate=CONFIG.dateFormat.toUpperCase(),cvid=self.getCurrentCvId(),calendarInstance=this.getCalendarView();calendarInstance.fullCalendar('removeEvents');var progressInstance=$.progressIndicator({blockInfo:{enabled:!0}}),user=self.getSelectedUsersCalendar();0===user.length&&(user=app.getMainParams('usersId')),void 0===user&&(user=[app.getMainParams('userId')]),self.clearFilterButton(user,cvid),'agendaDay'===view.type&&(view.end=view.end.add(1,'day'));var time=this.getSidebarView().find('.js-switch--showType input:checked').data('val'),options={module:this.module,action:'Calendar',mode:'getEvents',start:view.start.format(formatDate),end:view.end.format(formatDate),user:user,time:void 0===time?app.getMainParams('showType'):time,cvid:cvid,historyUrl:'index.php?module='+this.module+'&view=CalendarExtended&history=true&viewType='+view.type+'&start='+view.start.format(formatDate)+'&end='+view.end.format(formatDate)+'&user='+user+'&time='+app.getMainParams('showType')+'&cvid='+cvid+'&hiddenDays='+view.options.hiddenDays},connectorMethod=window.AppConnector.request;this.browserHistory&&window.calendarLoaded&&(connectorMethod=window.AppConnector.requestPjax),this.browserHistoryConfig&&Object.keys(this.browserHistoryConfig).length&&!window.calendarLoaded&&(options=Object.assign(options,{start:this.browserHistoryConfig.start,end:this.browserHistoryConfig.end,user:this.browserHistoryConfig.user,time:this.browserHistoryConfig.time,cvid:this.browserHistoryConfig.cvid}),connectorMethod=window.AppConnector.request,app.setMainParams('showType',this.browserHistoryConfig.time),app.setMainParams('usersId',this.browserHistoryConfig.user)),connectorMethod(options).done(function(events){calendarInstance.fullCalendar('removeEvents'),calendarInstance.fullCalendar('addEventSource',events.result),progressInstance.progressIndicator({mode:'hide'});}),self.registerViewRenderEvents(view),window.calendarLoaded=!0;}},{key:'clearFilterButton',value:function clearFilterButton(user,cvid){var currentUser=parseInt(app.getMainParams('userId')),time=app.getMainParams('showType'),statement=(0===user.length||1===user.length&&parseInt(user)===currentUser)&&void 0===cvid&&'current'===time;$('.js-calendar__clear-filters').toggleClass('d-none',statement);}},{key:'registerClearFilterButton',value:function registerClearFilterButton(){var sidebar=this.getSidebarView(),calendarView=this.getCalendarView(),clearBtn=calendarView.find('.js-calendar__clear-filters');app.showPopoverElementView(clearBtn),clearBtn.on('click',function(){$('.js-calendar__extended-filter-tab a').removeClass('active'),app.setMainParams('showType','current'),app.moduleCacheSet('defaultShowType','current'),sidebar.find('input:checkbox').prop('checked',!1),sidebar.find('option:selected').prop('selected',!1);var calendarSwitch=sidebar.find('.js-switch--showType [class*="js-switch--label"]'),actualUserCheckbox=sidebar.find('.js-input-user-owner-id[value='+app.getMainParams('userId')+']');calendarSwitch.last().removeClass('active'),calendarSwitch.first().addClass('active'),$('input[data-val="current"]',calendarSwitch).prop('checked',!0),actualUserCheckbox.length?actualUserCheckbox.prop('checked',!0):app.setMainParams('usersId',void 0),calendarView.fullCalendar('getCalendar').view.options.loadView();});}},{key:'generateYearList',value:function generateYearList(dateStart){for(var datesView=this.container.find('.js-dates-row'),prevYear=moment(dateStart).subtract(1,'year'),actualYear=moment(dateStart),nextYear=moment(dateStart).add(1,'year'),html='',active='';prevYear<=nextYear;)active=prevYear.format('YYYY')===actualYear.format('YYYY')?'active':'',html+='<div class="js-sub-record sub-record col-4 nav-item" data-date="'+prevYear.format('YYYY')+'" data-type="years" data-js="click | class: active">\n\t\t\t\t\t<div class="sub-record-content nav-link '+active+'">\n\t\t\t\t\t\t<div class="sub-date-name">\n\t\t\t\t\t\t\t'+prevYear.format('YYYY')+'\n\t\t\t\t\t\t\t<div class="js-count-events count badge c-badge--md ml-1" data-js="html">0</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</div>',prevYear=moment(prevYear).add(1,'year');datesView.find('.js-sub-date-list').html(html);}},{key:'generateSubMonthList',value:function generateSubMonthList(dateStart){for(var datesView=this.container.find('.js-dates-row'),activeMonth=parseInt(moment(dateStart).locale('en').format('M'))-1,html='',active='',month=0;12>month;++month)active=month===activeMonth?'active':'',html+='<div class="js-sub-record sub-record nav-item col-1 px-0" data-type="months" data-date="'+moment(dateStart).month(month).format('YYYY-MM')+'" data-js="click | class: active">\n\t\t\t\t\t<div class="sub-record-content nav-link '+active+'">\n\t\t\t\t\t\t<div class="sub-date-name">'+App.Fields.Date.monthsTranslated[month]+'\n\t\t\t\t\t\t\t<div class="js-count-events count badge c-badge--md ml-1" data-js="html">0</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</div>';datesView.find('.js-sub-date-list').html(html);}},{key:'generateSubWeekList',value:function generateSubWeekList(dateStart){for(var active,datesView=this.container.find('.js-dates-row'),prevWeeks=moment(dateStart).subtract(5,'weeks'),actualWeek=moment(dateStart).format('WW'),nextWeeks=moment(dateStart).add(6,'weeks'),html='';prevWeeks<=nextWeeks;)active='',prevWeeks.format('WW')===actualWeek&&(active=' active'),html+='<div class="js-sub-record sub-record nav-item col-1 px-0" data-type="weeks" data-date="'+prevWeeks.format('YYYY-MM-DD')+'" data-js="click | class: active"><div class="sub-record-content nav-link'+active+'"><div class="sub-date-name">'+app.vtranslate('JS_WEEK_SHORT')+' '+prevWeeks.format('WW')+'<div class="js-count-events count badge c-badge--md ml-1" data-js="html">0</div></div></div></div>',prevWeeks=moment(prevWeeks).add(1,'weeks');datesView.find('.js-sub-date-list').html(html);}},{key:'generateSubDaysList',value:function generateSubDaysList(dateStart){for(var active,datesView=this.container.find('.js-dates-row'),prevDays=moment(dateStart).subtract(5,'days'),actualDay=moment(dateStart).format('DDD'),nextDays=moment(dateStart).add(7,'days'),daysToShow=nextDays.diff(prevDays,'days'),html='',day=0;day<daysToShow;++day){if(active='','workDays'===app.getMainParams('switchingDays')&&'all'!==app.moduleCacheGet('defaultSwitchingDays')&&-1!==$.inArray(prevDays.day(),app.getMainParams('hiddenDays',!0))){prevDays=moment(prevDays).add(1,'days'),daysToShow++;continue}prevDays.format('DDD')===actualDay&&(active=' active'),html+='<div class="js-sub-record sub-record nav-item col-1 px-0" data-type="days" data-date="'+prevDays.format('YYYY-MM-DD')+'" data-js="click | class: active"><div class="sub-record-content nav-link'+active+'"><div class="sub-date-name">'+app.vtranslate('JS_DAY_SHORT')+' '+prevDays.format('DD')+'<div class="js-count-events count badge c-badge--md ml-1" data-js="html">0</div></div></div></div>',prevDays=moment(prevDays).add(1,'days');}datesView.find('.js-sub-date-list').html(html);}},{key:'selectDays',value:function selectDays(startDate,endDate){var container=this.container;container.find('.js-right-panel-event-link').tab('show');var start_hour=app.getMainParams('startHour'),end_hour=app.getMainParams('endHour'),view=this.getCalendarView().fullCalendar('getView');!1==endDate.hasTime()&&endDate.add(-1,'days'),startDate=startDate.format(),endDate=endDate.format(),''==start_hour&&(start_hour='00'),''==end_hour&&(end_hour='00'),this.getCalendarCreateView().done(function(data){if(!(0>=data.length)){if('agendaDay'!=view.name&&'agendaWeek'!=view.name&&(startDate=startDate+'T'+start_hour+':00',endDate=endDate+'T'+end_hour+':00',startDate==endDate)){var activityType=container.find('[name="activitytype"]'),activityTypeValue=activityType.val();activityType.is('[type="radio"]')&&(activityTypeValue=activityType.filter(':checked').val());var activityDurations=JSON.parse(data.find('[name="defaultOtherEventDuration"]').val()),minutes=0;for(var i in activityDurations)if(activityDurations[i].activitytype===activityTypeValue){minutes=parseInt(activityDurations[i].duration);break}endDate=moment(endDate).add(minutes,'minutes').toISOString();}var dateFormat=data.find('[name="date_start"]').data('dateFormat').toUpperCase(),timeFormat=data.find('[name="time_start"]').data('format'),defaultTimeFormat='';defaultTimeFormat=24==timeFormat?'HH:mm':'hh:mm A',data.find('[name="date_start"]').val(moment(startDate).format(dateFormat)),data.find('[name="due_date"]').val(moment(endDate).format(dateFormat)),!0===data.find('.js-autofill').prop('checked')?Calendar_Edit_Js.getInstance().getFreeTime(data):(data.find('[name="time_start"]').val(moment(startDate).format(defaultTimeFormat)),data.find('[name="time_end"]').val(moment(endDate).format(defaultTimeFormat)));}});}},{key:'registerUsersChange',value:function registerUsersChange(formContainer){var _this6=this;formContainer.find('.js-input-user-owner-id-ajax, .js-input-user-owner-id').on('change',function(){_this6.getCalendarView().fullCalendar('getCalendar').view.options.loadView();}),this.registerPinUser();}/**
	 * Register actions to do after save record
	 * @param instance
	 * @param data
	 * @returns {function}
	 */},{key:'registerAfterSubmitForm',value:function registerAfterSubmitForm(self){var calendarView=this.getCalendarView();return function returnFunction(data){if(data.success){var recordActivityStatus=data.result.activitystatus.value,historyStatus=app.getMainParams('activityStateLabels',!0).history,inHistoryStatus=$.inArray(recordActivityStatus,historyStatus),showType=app.getMainParams('showType');if(-1!==inHistoryStatus&&'history'===showType||-1===inHistoryStatus&&'history'!==showType)if(calendarView.fullCalendar('clientEvents',data.result._recordId)[0])self.updateCalendarEvent(data.result._recordId,data.result);else {var calendarInstance=calendarView.fullCalendar('getCalendar');'year'===calendarInstance.view.type?calendarInstance.view.render():calendarInstance.view.options.addCalendarEvent(data.result),data.result.followup&&void 0!==data.result.followup.value&&calendarView.fullCalendar('removeEvents',data.result.followup.value);}self.refreshDatesRowView(calendarView.fullCalendar('getView')),self.getSidebarView().find('.js-qc-form').html(''),self.getCalendarCreateView(),window.popoverCache={};}}}},{key:'openRightPanel',value:function openRightPanel(){var calendarRightPanel=$('.js-calendar-right-panel');calendarRightPanel.hasClass('hideSiteBar')&&calendarRightPanel.find('.js-toggle-site-bar-right-button').trigger('click');}},{key:'showRightPanelForm',value:function showRightPanelForm(){var calendarRightPanel=$('.js-calendar-right-panel');calendarRightPanel.find('.js-right-panel-event').hasClass('active')||calendarRightPanel.find('.js-right-panel-event-link').trigger('click'),app.showNewScrollbar(calendarRightPanel.find('.js-calendar__form__wrapper'),{suppressScrollX:!0});}},{key:'registerSiteBarEvents',value:function registerSiteBarEvents(){var calendarRightPanel=$('.js-calendar-right-panel');calendarRightPanel.find('.js-show-sitebar').on('click',function(){calendarRightPanel.hasClass('hideSiteBar')&&calendarRightPanel.find('.js-toggle-site-bar-right-button').trigger('click');});}/**
	 * Parse calendar data
	 * @param {Object} calendarDetails
	 * @returns {{id: *, title: *, start: *, end: *, module: string, url: string, className: string[], start_display: *, end_display: *}}
	 */},{key:'getEventData',value:function getEventData(calendarDetails){var calendar=this.getCalendarView(),startDate=calendar.fullCalendar('moment',calendarDetails.date_start.value+' '+calendarDetails.time_start.value),endDate=calendar.fullCalendar('moment',calendarDetails.due_date.value+' '+calendarDetails.time_end.value),eventObject={id:calendarDetails._recordId,title:calendarDetails.subject.display_value,start:startDate.format(),end:endDate.format(),module:this.module,url:'index.php?module='+this.module+'&view=ActivityState&record='+calendarDetails._recordId,className:['ownerCBg_'+calendarDetails.assigned_user_id.value,' picklistCBr_Calendar_activitytype_'+calendarDetails.activitytype.value,'js-popover-tooltip--record'],start_display:calendarDetails.date_start.display_value,end_display:calendarDetails.due_date.display_value};return calendarDetails.isEditable&&app.getMainParams('showEditForm')&&(eventObject.url='index.php?module='+this.module+'&view=EventForm&record='+eventObject.id),eventObject}/**
	 * Update Event
	 * @param {Number} calendarEventId
	 * @param {Object} calendarDetails
	 */},{key:'updateCalendarEvent',value:function updateCalendarEvent(calendarEventId,calendarDetails){var calendar=this.getCalendarView(),recordToUpdate=calendar.fullCalendar('clientEvents',calendarEventId)[0];$.extend(recordToUpdate,this.getEventData(calendarDetails)),calendar.fullCalendar('updateEvent',recordToUpdate);}},{key:'getCalendarCreateView',value:function getCalendarCreateView(){var aDeferred=$.Deferred();if(this.eventCreate){var thisInstance=this,sideBar=thisInstance.getSidebarView(),qcForm=sideBar.find('.js-qc-form');if(0<qcForm.find('form').length&&0===qcForm.find('input[name=record]').length)aDeferred.resolve(qcForm);else {var progressInstance=$.progressIndicator({blockInfo:{enabled:!0}});this.getCalendarSidebarData({module:this.module,view:'EventForm'}).done(function(){progressInstance.progressIndicator({mode:'hide'}),thisInstance.registerAutofillTime(),aDeferred.resolve(qcForm);}).fail(function(error){progressInstance.progressIndicator({mode:'hide'}),app.errorLog(error);});}}else aDeferred.reject();return aDeferred.promise()}/**
	 * Autoselect date in create view in extended calendar
	 */},{key:'registerAutofillTime',value:function registerAutofillTime(){app.getMainParams('autofillTime')&&this.container.find('.js-autofill').prop('checked','checked').trigger('change');}},{key:'registerPinUser',value:function registerPinUser(){$('.js-pin-user').off('click').on('click',function(){var thisInstance=$(this);AppConnector.request({module:this.module,action:'Calendar',mode:'pinOrUnpinUser',element_id:thisInstance.data('elementid')}).done(function(data){var response=data.result;'unpin'===response?thisInstance.find('.js-pin-icon').removeClass('fas').addClass('far'):'pin'===response?thisInstance.find('.js-pin-icon').removeClass('far').addClass('fas'):app.showNotify({text:app.vtranslate('JS_ERROR'),type:'error'});});});}},{key:'registerAddForm',value:function registerAddForm(){var thisInstance=this,sideBar=thisInstance.getSidebarView();thisInstance.getCalendarCreateView();var user=app.getMainParams('usersId');void 0===user&&(user=[app.getMainParams('userId')]),AppConnector.request('index.php?module='+this.module+'&view=RightPanelExtended&mode=getUsersList&user='+user).done(function(data){if(data){var formContainer=sideBar.find('.js-users-form');formContainer.html(data),thisInstance.registerUsersChange(formContainer),App.Fields.Picklist.showSelect2ElementView(formContainer.find('select')),app.showNewScrollbar(formContainer,{suppressScrollX:!0}),thisInstance.registerFilterForm(formContainer);}}),AppConnector.request('index.php?module='+this.module+'&view=RightPanelExtended&mode=getGroupsList&user='+user).done(function(data){if(data){var formContainer=sideBar.find('.js-group-form');formContainer.html(data),thisInstance.registerUsersChange(formContainer),App.Fields.Picklist.showSelect2ElementView(formContainer.find('select')),formContainer.addClass('u-min-h-30per'),app.showNewScrollbar(formContainer,{suppressScrollX:!0}),thisInstance.registerFilterForm(formContainer);}});}/**
	 * Find element on list (user, group)
	 * @param {jQuery.Event} e
	 */},{key:'findElementOnList',value:function findElementOnList(e){var target=$(e.target),value=target.val().toLowerCase(),container=target.closest('.js-filter__container');container.find('.js-filter__item__value').filter(function(){var item=$(this).closest('.js-filter__item__container');-1<$(this).text().trim().toLowerCase().indexOf(value)?item.removeClass('d-none'):item.addClass('d-none');});}/**
	 * Register filter for users and groups
	 * @param {jQuery} container
	 */},{key:'registerFilterForm',value:function registerFilterForm(container){container.find('.js-filter__search').on('keyup',this.findElementOnList.bind(self));}/**
	 * Register popover buttons' click
	 */},{key:'registerPopoverButtonsClickEvent',value:function registerPopoverButtonsClickEvent(){$(document).on('click','.js-calendar-popover__button',this.showCalendarPopoverLinkInSidebar.bind(this));}/**
	 * Show popover link in sidebar
	 *
	 * @param   {Object}  e  click event
	 */},{key:'showCalendarPopoverLinkInSidebar',value:function showCalendarPopoverLinkInSidebar(e){var href=e.currentTarget.href,hrefObject=app.convertUrlToObject(href);if('Calendar'!==hrefObject.module||'Edit'!==hrefObject.view&&'Detail'!==hrefObject.view)return !0;e.preventDefault();var sidebarView='Edit'===hrefObject.view?'EventForm':'ActivityState';href=href.replace(hrefObject.view,sidebarView),this.getCalendarSidebarData(href);}/**
	 * Register events
	 */},{key:'registerEvents',value:function registerEvents(){get(Calendar_CalendarExtended_Js.prototype.__proto__||Object.getPrototypeOf(Calendar_CalendarExtended_Js.prototype),'registerEvents',this).call(this),this.registerAddForm(),this.registerSiteBarEvents(),this.registerPopoverButtonsClickEvent(),ElementQueries.listen();}}]),Calendar_CalendarExtended_Js}(Calendar_Calendar_Js);
//# sourceMappingURL=CalendarView.min.js.map
