'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var get = function get(object, property, receiver) {
  if (object === null) object = Function.prototype;
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent === null) {
      return undefined;
    } else {
      return get(parent, property, receiver);
    }
  } else if ("value" in desc) {
    return desc.value;
  } else {
    var getter = desc.get;

    if (getter === undefined) {
      return undefined;
    }

    return getter.call(receiver);
  }
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

/**
 *  Class representing a modal calendar.
 * @extends Calendar_CalendarExtended_Js
 */window.Calendar_CalendarModal_Js=function(_Calendar_CalendarExt){function Calendar_CalendarModal_Js(container,readonly){classCallCheck(this,Calendar_CalendarModal_Js);var _this=possibleConstructorReturn(this,(Calendar_CalendarModal_Js.__proto__||Object.getPrototypeOf(Calendar_CalendarModal_Js)).call(this,container,readonly));return _this.isSwitchAllDays=!1,_this.sidebarName='add',_this.eventCreate=!0,_this.module='Calendar',_this.renderCalendar(),_this.registerEvents(),_this}/**
	 * Render calendar
	 */return inherits(Calendar_CalendarModal_Js,_Calendar_CalendarExt),createClass(Calendar_CalendarModal_Js,[{key:'renderCalendar',value:function renderCalendar(){var self=this,basicOptions=this.setCalendarOptions(),options={header:{left:'month,'+app.getMainParams('weekView')+','+app.getMainParams('dayView'),center:'prevYear,prev,title,next,nextYear',right:'today'},views:{basic:{eventLimit:!1},year:{eventLimit:10,eventLimitText:app.vtranslate('JS_COUNT_RECORDS'),titleFormat:'YYYY',select:function select(){},loadView:function loadView(){self.getCalendarView().fullCalendar('getCalendar').view.render();}},month:{titleFormat:this.parseDateFormat('month'),loadView:function loadView(){self.loadCalendarData();}},week:{titleFormat:this.parseDateFormat('week'),loadView:function loadView(){self.loadCalendarData();}},day:{titleFormat:this.parseDateFormat('day'),loadView:function loadView(){self.loadCalendarData();}},basicDay:{type:'agendaDay',loadView:function loadView(){self.loadCalendarData();}}},select:function select(start,end){self.selectDays(start,end),self.getCalendarView().fullCalendar('unselect');},eventRender:function eventRender(event,element){self.eventRenderer(event,element);},viewRender:function viewRender(view){'year'!==view.type&&self.loadCalendarData(view);},addCalendarEvent:function addCalendarEvent(calendarDetails){self.getCalendarView().fullCalendar('renderEvent',self.getEventData(calendarDetails));}};options=Object.assign(basicOptions,options),options.eventClick=function(calEvent,jsEvent){jsEvent.preventDefault();},this.calendar.fullCalendar(options);}},{key:'addCommonMethodsToYearView',value:function addCommonMethodsToYearView(){}/**
	 * Function sets calendar moduls's options
	 * Overwrites Calendar_Calendar_Js
	 */},{key:'setCalendarModuleOptions',value:function setCalendarModuleOptions(){var options=get(Calendar_CalendarModal_Js.prototype.__proto__||Object.getPrototypeOf(Calendar_CalendarModal_Js.prototype),'setCalendarModuleOptions',this).call(this);return options.hiddenDays=app.getMainParams('hiddenDays',!0),options.header={left:'month,'+app.getMainParams('weekView')+','+app.getMainParams('dayView'),center:'prevYear,prev,title,next,nextYear',right:'today'},options.selectable=!0,options}/**
	 * Function registers calendar events
	 * Overwrites Calendar_CalendarExtended_Js
	 */},{key:'registerEvents',value:function registerEvents(){this.registerSwitchEvents(),this.registerUsersChange(),this.registerAutofillTime(),this.registerPopoverButtonsClickEvent();}/**
	 * Function registers calendar switch event
	 * Overwrites Calendar_CalendarExtended_Js
	 */},{key:'registerSwitchEvents',value:function registerSwitchEvents(){var _this2=this;if(!1!==app.getMainParams('hiddenDays',!0)){var calendarview=this.getCalendarView(),switchContainer=$('<div class="js-calendar-switch-container"></div>').insertAfter(calendarview.find('.fc-center'));$(this.switchTpl(app.vtranslate('JS_WORK_DAYS'),app.vtranslate('JS_ALL'),this.isSwitchAllDays)).prependTo(switchContainer).on('change','input',function(e){var currentTarget=$(e.currentTarget),hiddenDays=[];'undefined'==typeof currentTarget.data('on-text')?_this2.isSwitchAllDays=!0:(hiddenDays=app.getMainParams('hiddenDays',!0),_this2.isSwitchAllDays=!1),_this2.getCalendarView().fullCalendar('option','hiddenDays',hiddenDays),'year'===_this2.getCalendarView().fullCalendar('getView').type&&_this2.registerViewRenderEvents(_this2.getCalendarView().fullCalendar('getView')),_this2.registerSwitchEvents();});}}/**
	 * Function registers select's user change event
	 * Overwrites Calendar_CalendarExtended_Js
	 */},{key:'registerUsersChange',value:function registerUsersChange(){var _this3=this;this.container.find('.assigned_user_id').on('change',function(){_this3.getCalendarView().fullCalendar('getCalendar').view.options.loadView();});}/**
	 * Function return user's id
	 * Overwrites Calendar_CalendarExtended_Js
	 * @returns {int}
	 */},{key:'getSelectedUsersCalendar',value:function getSelectedUsersCalendar(){return this.container.find('.assigned_user_id').val()}/**
	 * Function invokes by fullcalendar, sets selected days in form
	 * Overwrites Calendar_CalendarExtended_Js
	 * @param startDate
	 * @param endDate
	 */},{key:'selectDays',value:function selectDays(startDate,endDate){var _this4=this;if('status'===this.sidebarName)return this.sidebarName='add',void this.getCalendarCreateView().done(function(){_this4.selectDays(startDate,endDate);});var startHour=app.getMainParams('startHour'),endHour=app.getMainParams('endHour'),view=this.getCalendarView().fullCalendar('getView');if(!1==endDate.hasTime()&&endDate.add(-1,'days'),startDate=startDate.format(),endDate=endDate.format(),''==startHour&&(startHour='00'),''==endHour&&(endHour='00'),'agendaDay'!=view.name&&'agendaWeek'!=view.name&&(startDate=startDate+'T'+startHour+':00',endDate=endDate+'T'+endHour+':00',startDate==endDate)){var activityType=this.container.find('[name="activitytype"]').val(),activityDurations=JSON.parse(this.container.find('[name="defaultOtherEventDuration"]').val()),minutes=0;for(var i in activityDurations)if(activityDurations[i].activitytype===activityType){minutes=parseInt(activityDurations[i].duration);break}endDate=moment(endDate).add(minutes,'minutes').toISOString();}var dateFormat=this.container.find('[name="date_start"]').data('dateFormat').toUpperCase(),timeFormat=this.container.find('[name="time_start"]').data('format'),defaultTimeFormat='';if(defaultTimeFormat=24==timeFormat?'HH:mm':'hh:mm A',this.container.find('[name="date_start"]').val(moment(startDate).format(dateFormat)),this.container.find('[name="due_date"]').val(moment(endDate).format(dateFormat)),!0===this.container.find('.js-autofill').prop('checked')){var calendarEditInstance=new Calendar_Edit_Js;calendarEditInstance.getFreeTime(this.container);}else this.container.find('[name="time_start"]').val(moment(startDate).format(defaultTimeFormat)),this.container.find('[name="time_end"]').val(moment(endDate).format(defaultTimeFormat));}/** @inheritdoc */},{key:'registerEditForm',value:function registerEditForm(sideBar){var _this5=this,editViewInstance=Vtiger_Edit_Js.getInstanceByModuleName(sideBar.find('[name="module"]').val()),headerInstance=new Vtiger_Header_Js,rightFormCreate=sideBar.find('form[name="QuickCreate"]');editViewInstance.registerBasicEvents(rightFormCreate),rightFormCreate.validationEngine(app.validationEngineOptions),App.Fields.Picklist.showSelect2ElementView(sideBar.find('select')),sideBar.find('.js-summary-close-edit').on('click',function(){_this5.getCalendarCreateView();}),headerInstance.registerQuickCreatePostLoadEvents(rightFormCreate,[]),App.Fields.Text.Editor.register(sideBar.find('.js-editor'),{height:'5em',toolbar:'Min'});}/** @inheritdoc */},{key:'updateSidebar',value:function updateSidebar(sidebar,data){var modalTitleContainer=$('.js-modal-title__container'),modalTitles=modalTitleContainer.find('[class*="js-modal-title"]');if(data=$(data),modalTitles.addClass('d-none'),data.hasClass('js-edit-form')){var title=data.find('.js-sidebar-title ').data('title');modalTitles.filter('.js-modal-title--'+title).removeClass('d-none'),this.sidebarName=title;}else data.hasClass('js-activity-state')&&(modalTitles.filter('.js-modal-title--status').removeClass('d-none'),this.sidebarName='status');sidebar.find('.js-qc-form').html(data);}}]),Calendar_CalendarModal_Js}(Calendar_CalendarExtended_Js),jQuery.Class('Calendar_QuickCreate_Js',{},{container:!1,getContainer:function getContainer(){return this.container},setContainer:function setContainer(container){this.container=container;},registerExtendCalendar:function registerExtendCalendar(){new Calendar_CalendarModal_Js($('.js-modal-container'),!0);var container=this.getContainer();container.find('.js-activity-buttons button').on('click',function(e){var form=container.find('form'),currentTarget=$(e.currentTarget);1===currentTarget.data('type')?(form.append('<input type=hidden name="activitystatus" value="'+currentTarget.data('state')+'">'),form.submit()):(container.find('.js-activity-buttons').remove(),form.find('[name="record"]').val(''),form.append('<input type=hidden name="postponed" value="true">'),form.append('<input type=hidden name="followup" value="'+currentTarget.data('id')+'">'));});},registerStandardCalendar:function registerStandardCalendar(){var thisInstance=this,container=this.getContainer(),data=container.find('form'),user=data.find('[name="assigned_user_id"]'),dateStartEl=data.find('[name="date_start"]'),dateEnd=data.find('[name="due_date"]');user.on('change',function(e){var element=$(e.currentTarget),data=element.closest('form');thisInstance.getNearCalendarEvent(data);}),dateStartEl.on('change',function(e){var element=$(e.currentTarget),data=element.closest('form');thisInstance.getNearCalendarEvent(data);}),data.find('ul li a').on('click',function(e){var element=$(e.currentTarget),data=element.closest('form');data.find('.addedNearCalendarEvent').remove(),thisInstance.getNearCalendarEvent(data);}),data.on('click','.nextDayBtn',function(){var dateStartEl=data.find('[name="date_start"]'),startDay=dateStartEl.val(),dateStartFormat=dateStartEl.data('date-format');startDay=moment(Vtiger_Helper_Js.convertToDateString(startDay,dateStartFormat,'+7',' ')).format(dateStartFormat.toUpperCase()),dateStartEl.val(startDay),dateEnd.val(startDay),thisInstance.getNearCalendarEvent(data);}),data.on('click','.previousDayBtn',function(){var dateStartEl=data.find('[name="date_start"]'),startDay=dateStartEl.val(),dateStartFormat=dateStartEl.data('date-format');startDay=moment(Vtiger_Helper_Js.convertToDateString(startDay,dateStartFormat,'-7',' ')).format(dateStartFormat.toUpperCase()),dateStartEl.val(startDay),dateEnd.val(startDay),thisInstance.getNearCalendarEvent(data);}),data.on('click','.dateBtn',function(e){var element=$(e.currentTarget);dateStartEl.val(element.data('date')),data.find('[name="due_date"]').val(element.data('date')),data.find('[name="date_start"]').trigger('change');}),thisInstance.getNearCalendarEvent(data);},getNearCalendarEvent:function getNearCalendarEvent(container){var dateStartVal=container.find('[name="date_start"]').val();if('undefined'!=typeof dateStartVal&&''!==dateStartVal){var params={module:'Calendar',view:'QuickCreateEvents',currentDate:dateStartVal,user:container.find('[name="assigned_user_id"]').val()},progressIndicatorElement=$.progressIndicator({position:'html',blockInfo:{enabled:!0,elementToBlock:container.find('.eventsTable')}});AppConnector.request(params).done(function(events){progressIndicatorElement.progressIndicator({mode:'hide'}),container.find('.eventsTable').remove(),container.append(events),app.showPopoverElementView(container.find('.js-help-info'));});}},registerEvents:function registerEvents(container){var calendarType=container.closest('.js-modal-container').find('.js-calendar-type').val();this.setContainer(container),'Extended'===calendarType?this.registerExtendCalendar():this.registerStandardCalendar();}});
//# sourceMappingURL=QuickCreate.min.js.map
