'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var get = function get(object, property, receiver) {
  if (object === null) object = Function.prototype;
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent === null) {
      return undefined;
    } else {
      return get(parent, property, receiver);
    }
  } else if ("value" in desc) {
    return desc.value;
  } else {
    var getter = desc.get;

    if (getter === undefined) {
      return undefined;
    }

    return getter.call(receiver);
  }
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

/**
 *  Class representing a modal calendar.
 * @extends Vtiger_Calendar_Js
 */window.Occurrences_CalendarModal_Js=function(_Vtiger_Calendar_Js){function Occurrences_CalendarModal_Js(container,readonly){classCallCheck(this,Occurrences_CalendarModal_Js);var _this=possibleConstructorReturn(this,(Occurrences_CalendarModal_Js.__proto__||Object.getPrototypeOf(Occurrences_CalendarModal_Js)).call(this,container,readonly));return _this.isSwitchAllDays=!1,_this.sidebarName='add',_this.eventCreate=!1,_this.module=container.find('[name="module"]').val(),_this.renderCalendar(),_this.registerEvents(),_this}return inherits(Occurrences_CalendarModal_Js,_Vtiger_Calendar_Js),createClass(Occurrences_CalendarModal_Js,[{key:'addCommonMethodsToYearView',value:function addCommonMethodsToYearView(){}/**
	 * Function sets calendar module's options
	 */},{key:'setCalendarModuleOptions',value:function setCalendarModuleOptions(){var options=get(Occurrences_CalendarModal_Js.prototype.__proto__||Object.getPrototypeOf(Occurrences_CalendarModal_Js.prototype),'setCalendarModuleOptions',this).call(this);return options.selectable=!0,options.hiddenDays=app.getMainParams('hiddenDays',!0),options.header={left:'month,'+app.getMainParams('weekView')+','+app.getMainParams('dayView'),center:'prevYear,prev,title,next,nextYear',right:'today'},options.eventClick=function(calEvent,jsEvent){jsEvent.preventDefault();},options}/**
	 * Function registers calendar events
	 */},{key:'registerEvents',value:function registerEvents(){this.registerSwitchEvents(),this.registerUsersChange();}/**
	 * Function registers calendar switch event
	 */},{key:'registerSwitchEvents',value:function registerSwitchEvents(){var _this2=this;if(!1!==app.getMainParams('hiddenDays',!0)){var calendarView=this.getCalendarView(),switchContainer=$('<div class="js-calendar-switch-container"></div>').insertAfter(calendarView.find('.fc-center'));$(this.switchTpl(app.vtranslate('JS_WORK_DAYS'),app.vtranslate('JS_ALL'),this.isSwitchAllDays)).prependTo(switchContainer).on('change','input',function(e){var currentTarget=$(e.currentTarget),hiddenDays=[];'undefined'==typeof currentTarget.data('on-text')?_this2.isSwitchAllDays=!0:(hiddenDays=app.getMainParams('hiddenDays',!0),_this2.isSwitchAllDays=!1),_this2.getCalendarView().fullCalendar('option','hiddenDays',hiddenDays),'year'===_this2.getCalendarView().fullCalendar('getView').type&&_this2.registerViewRenderEvents(_this2.getCalendarView().fullCalendar('getView')),_this2.registerSwitchEvents();});}}},{key:'switchTpl',value:function switchTpl(on,off,state){return '<div class="btn-group btn-group-toggle js-switch c-calendar-switch" data-toggle="buttons">\n\t\t\t\t\t<label class="btn btn-outline-primary c-calendar-switch__button js-switch--label-on '+(state?'':'active')+'">\n\t\t\t\t\t\t<input type="radio" name="options" data-on-text="'+on+'" autocomplete="off" '+(state?'':'checked')+'>\n\t\t\t\t\t\t'+on+'\n\t\t\t\t\t</label>\n\t\t\t\t\t<label class="btn btn-outline-primary c-calendar-switch__button '+(state?'active':'')+'">\n\t\t\t\t\t\t<input type="radio" name="options" data-off-text="'+off+'" autocomplete="off" '+(state?'checked':'')+'>\n\t\t\t\t\t\t'+off+'\n\t\t\t\t\t</label>\n\t\t\t\t</div>'}/**
	 * Function registers select's user change event
	 */},{key:'registerUsersChange',value:function registerUsersChange(){var _this3=this;this.container.find('.assigned_user_id').on('change',function(){_this3.getCalendarView().fullCalendar('getCalendar').view.options.loadView();});}/**
	 * Function return user's id
	 * @returns {int}
	 */},{key:'getSelectedUsersCalendar',value:function getSelectedUsersCalendar(){return this.container.find('.assigned_user_id').val()}/**
	 * Function invokes by fullcalendar, sets selected days in form
	 * @param startDate
	 * @param endDate
	 */},{key:'selectDays',value:function selectDays(startDate,endDate){var _this4=this;if('status'===this.sidebarName)return this.sidebarName='add',void this.getCalendarCreateView().done(function(){_this4.selectDays(startDate,endDate);});var startHour=app.getMainParams('startHour'),endHour=app.getMainParams('endHour'),view=this.getCalendarView().fullCalendar('getView');!1==endDate.hasTime()&&endDate.add(-1,'days'),startDate=startDate.format(),endDate=endDate.format(),''==startHour&&(startHour='00'),''==endHour&&(endHour='00'),'agendaDay'!=view.name&&'agendaWeek'!=view.name&&(startDate=startDate+'T'+startHour+':00',endDate=endDate+'T'+endHour+':00');var dateFormat=CONFIG.dateFormat.toUpperCase(),timeFormat=CONFIG.hourFormat.toUpperCase(),defaultTimeFormat='';timeFormat=24==timeFormat?'HH:mm':'hh:mm A',defaultTimeFormat=dateFormat+' '+timeFormat,this.container.find('[name="date_start"]').val(moment(startDate).format(defaultTimeFormat)),this.container.find('[name="date_end"]').val(moment(endDate).format(defaultTimeFormat));}}]),Occurrences_CalendarModal_Js}(Vtiger_Calendar_Js),$.Class('Occurrences_QuickCreate_Js',{},{container:!1,module:!1,calendar:!1,getContainer:function getContainer(){return this.container},setContainer:function setContainer(container){this.container=container;},setModule:function setModule(){this.module=this.getContainer().find('[name="module"]').val();},initCalendar:function initCalendar(){var className=this.module+'_CalendarModal_Js';this.calendar=new window[className](this.getContainer().closest('.js-modal-container'),!0);},registerEvents:function registerEvents(container){this.setContainer(container),this.setModule(),this.initCalendar();}});
//# sourceMappingURL=QuickCreate.min.js.map
