'use strict';

Vtiger_Detail_Js('ServiceContracts_Detail_Js',{},{/**
		 * Hide all settings
		 *
		 * @return  {self}
		 */hideAll:function hideAll(){return this.container.find('.js-sla-policy-template, .js-sla-policy-custom').addClass('d-none'),this},/**
		 * Show template settings
		 *
		 * @return  {self}
		 */showTemplateSettings:function showTemplateSettings(){return this.container.find('.js-sla-policy-template').removeClass('d-none'),this},/**
		 * Show custom settings
		 *
		 * @return  {self}
		 */showCustomSettings:function showCustomSettings(){return this.container.find('.js-sla-policy-custom').removeClass('d-none'),this},/**
		 * Get template table
		 * @param {Array} rows
		 *
		 * @returns {String} HTML
		 */getTemplateTableHtml:function getTemplateTableHtml(rows){var somethingChecked=!1;return rows.each(function(i,row){if(row.checked)return somethingChecked=!0,!1}),somethingChecked||'undefined'==typeof rows[0]||(rows[0].checked=!0),'<div class="col-12"><table class="table js-sla-policy-template-table">\n\t\t<thead>\n\t\t\t<tr>\n\t\t\t\t<th></th>\n\t\t\t\t<th>'+app.vtranslate('JS_POLICY_NAME')+'</th>\n\t\t\t\t<th>'+app.vtranslate('JS_OPERATIONAL_HOURS')+'</th>\n\t\t\t\t<th>'+app.vtranslate('JS_REACTION_TIME')+'</th>\n\t\t\t\t<th>'+app.vtranslate('JS_IDLE_TIME')+'</th>\n\t\t\t\t<th>'+app.vtranslate('JS_RESOLVE_TIME')+'</th>\n\t\t\t</tr>\n\t\t</thead>\n\t\t<tbody>\n\t\t'+rows.map(function(row){return '<tr>\n\t\t\t\t<td><input type="radio" name="policy_id" value="'+row.id+'"'+(row.checked?'checked="checked"':'')+'></td>\n\t\t\t\t<td>'+row.name+'</td>\n\t\t\t\t<td>'+row.operational_hours+'</td>\n\t\t\t\t<td>'+row.reaction_time+'</td>\n\t\t\t\t<td>'+row.idle_time+'</td>\n\t\t\t\t<td>'+row.resolve_time+'</td>\n\t\t\t</tr>'}).join('')+'\n\t\t</tbody>\n\t\t</table>\n\t\t</div>'},/**
		 * Load predefined sla policy templates
		 */loadTemplates:function loadTemplates(){var _this=this,progress=jQuery.progressIndicator({position:'html',blockInfo:{enabled:!0}});AppConnector.request({module:'ServiceContracts',action:'PolicyTemplatesAjax',targetModule:this.targetModule,record:Number($('#recordId').val())}).done(function(data){progress.progressIndicator({mode:'hide'}),data.success&&_this.container.find('.js-sla-policy-template--container').html(_this.getTemplateTableHtml(data.result));});},/**
		 * On policy type change event handler
		 */onPolicyTypeChange:function onPolicyTypeChange(){this.policyType=Number(this.container.find('[name="policy_type"]:checked').val()),1===this.policyType?this.hideAll().showTemplateSettings().loadTemplates():2===this.policyType?this.hideAll().showCustomSettings():this.hideAll();},/**
		 * On submit event handler
		 *
		 * @param {Event} ev
		 */onSubmit:function onSubmit(ev){var _this2=this;ev.preventDefault(),ev.stopPropagation(),this.container.validationEngine(app.validationEngineOptions);var policyType=Number(this.container.find('[name="policy_type"]:checked').val()),policyId=Number(this.container.find('[name="policy_id"]:checked').val());if(2!==policyType||this.container.validationEngine('validate')){if(2===policyType&&!this.container.find('.js-custom-row').length)return void app.showNotify({text:app.vtranslate('JS_NO_ITEM_SELECTED'),type:'notice',animation:'show'});if(1===policyType&&isNaN(policyId))return void app.showNotify({text:app.vtranslate('JS_NO_ITEM_SELECTED'),type:'notice',animation:'show'});var progress=jQuery.progressIndicator({position:'html',blockInfo:{enabled:!0}}),params=this.container.serializeFormData();params.module='ServiceContracts',params.action='PolicySaveAjax',params.targetModule=this.targetModule,params.record=$('#recordId').val(),params.policyType=policyType,params.policyId=policyId,AppConnector.request({data:params}).done(function(data){progress.progressIndicator({mode:'hide'}),Array.isArray(data.result)?data.result.forEach(function(row,index){var rowElem=_this2.container.find('.js-custom-row').eq(index);rowElem.data('id',row.id),rowElem.find('.js-custom-row-id').val(row.id);}):$.each(_this2.container.find('.js-custom-row'),function(index,rowElem){rowElem=$(rowElem),rowElem.data('id',0),rowElem.find('.js-custom-row-id').val(0);}),app.showNotify({text:app.vtranslate('JS_SAVE_NOTIFY_OK'),type:'success',animation:'show'});});}},/**
		 * Register add record button click
		 */registerAddRecordBtnClick:function registerAddRecordBtnClick(){var _this3=this;this.container.find('.js-sla-policy-add-record-btn').on('click',function(e){e.preventDefault(),e.stopPropagation();var index=_this3.container.find('.js-custom-row').length,row=$('<div class="card js-custom-row shadow-sm mb-2" data-id="0" data-js="container">\n\t\t\t<div class="card-body">\n\t\t\t\t<div class="d-flex">\n\t\t\t\t\t<div class="d-block" style="flex-grow:1">\n\t\t\t\t\t\t<div class="row no-gutters">\n\t\t\t\t\t\t\t<div class="col-5 pr-2">\n\t\t\t\t\t\t\t\t<label>'+app.vtranslate('JS_BUSINESS_HOURS')+'</label>\n\t\t\t\t\t\t\t\t<select class="select2" name="business_hours['+index+'][]" multiple data-validation-engine="validate[required,funcCall[Vtiger_Base_Validator_Js.invokeValidation]]">\n\t\t\t\t\t\t\t\t'+_this3.businessHours.map(function(businessHours){return '<option value="'+businessHours.id+'">'+businessHours.name+'</option>'}).join('')+'\n\t\t\t\t\t\t\t\t</select>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class="col-2 pr-2">\n\t\t\t\t\t\t\t\t<label>'+app.vtranslate('JS_REACTION_TIME')+'</label>\n\t\t\t\t\t\t\t\t<div class="input-group time">\n\t\t\t\t\t\t\t\t\t<input type="hidden" name="reaction_time['+index+']" class="c-time-period" value="1:d">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class="col-2 pr-2">\n\t\t\t\t\t\t\t\t<label>'+app.vtranslate('JS_IDLE_TIME')+'</label>\n\t\t\t\t\t\t\t\t<div class="input-group time">\n\t\t\t\t\t\t\t\t\t<input type="hidden" name="idle_time['+index+']" class="c-time-period" value="1:d">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class="col-2 pr-2">\n\t\t\t\t\t\t\t\t<label>'+app.vtranslate('JS_RESOLVE_TIME')+'</label>\n\t\t\t\t\t\t\t\t<div class="input-group time">\n\t\t\t\t\t\t\t\t\t<input type="hidden" name="resolve_time['+index+']" class="c-time-period" value="1:d">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class="row mt-2">\n\t\t\t\t\t\t\t<div class="js-conditions-col col">\n\t\t\t\t\t\t\t\t<input type="hidden" name="rowid['+index+']" value="0" class="js-custom-row-id" />\n\t\t\t\t\t\t\t\t<input type="hidden" name="conditions['+index+']" class="js-conditions-value" value="{}" data-js="container">\n\t\t\t\t\t\t\t\t'+_this3.container.find('.js-conditions-template').html()+'\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t\t<div class="d-inline-flex text-right border-left" style="flex-grow:0">\n\t\t\t\t\t\t<div class="d-inline-block align-center" style="margin:auto 0;">\n\t\t\t\t\t\t\t<a href class="btn btn-danger ml-4 js-delete-row-action"><span class="fas fa-trash-alt"></span></a>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>');App.Fields.TimePeriod.register(row),_this3.registerDelBtnClick(row),App.Fields.Picklist.showSelect2ElementView(row.find('.select2')),_this3.registerConditionBuilder(row.find('.js-condition-builder').eq(0),_this3.container.find('.js-conditions-col').length),_this3.container.find('.js-custom-conditions').append(row);});},/**
		 * Register delete button click
		 *
		 * @param {jQuery} container
		 */registerDelBtnClick:function registerDelBtnClick(container){var _this4=this;container.find('.js-delete-row-action').on('click',function(e){e.preventDefault(),e.stopPropagation();var row=$(e.target).closest('.js-custom-row'),rowId=Number(row.data('id'));if(!rowId)return void row.remove();var progress=jQuery.progressIndicator({position:'html',blockInfo:{enabled:!0}});AppConnector.request({module:'ServiceContracts',action:'PolicyDeleteAjax',targetModule:_this4.targetModule,record:rowId}).done(function(){progress.progressIndicator({mode:'hide'}),$(e.target).closest('.card').remove(),app.showNotify({text:app.vtranslate('JS_SAVE_NOTIFY_OK'),type:'success',animation:'show'});});});},/**
		 * On condition change event
		 *
		 * @param   {Vtiger_ConditionBuilder_Js}  instance
		 */onConditionsChange:function onConditionsChange(instance){var index=this.conditionBuilders.indexOf(instance);this.conditionsBuildersContainers[index].parent().find('.js-conditions-value').val(JSON.stringify(instance.getConditions()));},/**
		 * Register condition builder
		 *
		 * @param {jQuery} container
		 * @param {Number} index
		 */registerConditionBuilder:function registerConditionBuilder(container,index){this.conditionBuilders[index]=new Vtiger_ConditionBuilder_Js(container,this.targetModule,this.onConditionsChange.bind(this)),this.conditionBuilders[index].registerEvents(),this.conditionsBuildersContainers[index]=container;},/**
		 * Init sla policy events
		 */initSlaPolicy:function initSlaPolicy(){var _this5=this;this.container=this.getForm(),this.policyType=Number(this.container.find('[name="policy_type"]:checked').val()),this.targetModule=this.container.find('[name="target"]').val(),this.businessHours=JSON.parse(this.container.find('.js-all-business-hours').val()),this.conditionBuilders=[],this.conditionsBuildersContainers=[],this.container.off('submit').on('submit',this.onSubmit.bind(this)),this.container.find('.js-sla-policy-type-radio').on('click',function(){return _this5.onPolicyTypeChange()}),this.onPolicyTypeChange(),App.Fields.TimePeriod.register(this.container),this.registerAddRecordBtnClick(),this.registerDelBtnClick(this.container),$.each(this.container.find('.js-custom-conditions .js-condition-builder'),function(index,col){_this5.registerConditionBuilder($(col),index);});},registerEvents:function registerEvents(){this._super();var detailViewForm=this.getForm();detailViewForm.find('.js-sla-policy').length&&this.initSlaPolicy(),app.event.on('DetailView.Tab.AfterLoad',function(event,data,instance){instance.getForm().find('.js-sla-policy').length&&instance.initSlaPolicy();});}});
//# sourceMappingURL=Detail.min.js.map
