'use strict';

jQuery.Class('Settings_PickListDependency_Js',{//holds the picklist dependency instance
pickListDependencyInstance:!1,/**
		 * Function used to triggerAdd new Dependency for the picklists
		 */triggerAdd:function triggerAdd(event){event.stopPropagation();var instance=Settings_PickListDependency_Js.pickListDependencyInstance;instance.updatedSourceValues=[],instance.showEditView(instance.listViewForModule).done(function(){instance.registerAddViewEvents();});},/**
		 * This function used to trigger Edit picklist dependency
		 */triggerEdit:function triggerEdit(event,module,sourceField,targetField){event.stopPropagation();var instance=Settings_PickListDependency_Js.pickListDependencyInstance;instance.updatedSourceValues=[],instance.showEditView(module,sourceField,targetField).done(function(){var form=jQuery('#pickListDependencyForm');form.find('select[name="sourceModule"],select[name="sourceField"],select[name="targetField"]').prop('disabled',!0),instance.registerDependencyGraphEvents(),instance.registerSubmitEvent();});},/**
		 * This function used to trigger Delete picklist dependency
		 */triggerDelete:function triggerDelete(event,module,sourceField,targetField){event.stopPropagation();var currentTarget=jQuery(event.currentTarget),currentTrEle=currentTarget.closest('tr'),instance=Settings_PickListDependency_Js.pickListDependencyInstance,message=app.vtranslate('JS_LBL_ARE_YOU_SURE_YOU_WANT_TO_DELETE');Vtiger_Helper_Js.showConfirmationBox({message:message}).done(function(){instance.deleteDependency(module,sourceField,targetField).done(function(){var params={};params.text=app.vtranslate('JS_DEPENDENCY_DELETED_SUEESSFULLY'),Settings_Vtiger_Index_Js.showMessage(params),currentTrEle.fadeOut('slow').remove();});});}},{//constructor
init:function init(){Settings_PickListDependency_Js.pickListDependencyInstance=this;},//holds the listview forModule
listViewForModule:'',//holds the updated sourceValues while editing dependency
updatedSourceValues:[],//holds the new mapping of source values and target values
valueMapping:[],//holds the list of selected source values for dependency
selectedSourceValues:[],/*
		 * function to show editView for Add/Edit Dependency
		 * @params: module - selected module
		 *			sourceField - source picklist
		 *			targetField - target picklist
		 */showEditView:function showEditView(module,sourceField,targetField){var aDeferred=jQuery.Deferred(),progressIndicatorElement=jQuery.progressIndicator({position:'html',blockInfo:{enabled:!0}}),params={};return params.module=app.getModuleName(),params.parent=app.getParentModuleName(),params.view='Edit',params.sourceModule=module,params.sourcefield=sourceField,params.targetfield=targetField,AppConnector.requestPjax(params).done(function(data){progressIndicatorElement.progressIndicator({mode:'hide'});var container=jQuery('.contentsDiv');container.html(data),App.Fields.Picklist.showSelect2ElementView(container.find('select.select2'),{dropdownCss:{"z-index":0}}),aDeferred.resolve(data);}).fail(function(error){progressIndicatorElement.progressIndicator({mode:'hide'}),aDeferred.reject(error);}),aDeferred.promise()},/**
		 * Function to get the Dependency graph based on selected module
		 */getModuleDependencyGraph:function getModuleDependencyGraph(form){var thisInstance=this;form.find('[name="sourceModule"]').on('change',function(){var forModule=form.find('[name="sourceModule"]').val();thisInstance.showEditView(forModule).done(function(){thisInstance.registerAddViewEvents();});});},/**
		 * Register change event for picklist fields in add/edit picklist dependency
		 */registerPicklistFieldsChangeEvent:function registerPicklistFieldsChangeEvent(form){var thisInstance=this;form.find('[name="sourceField"],[name="targetField"]').on('change',function(){thisInstance.checkValuesForDependencyGraph(form);});},/**
		 * Function used to check the selected picklist fields are valid before showing dependency graph
		 */checkValuesForDependencyGraph:function checkValuesForDependencyGraph(form){var thisInstance=this,sourceField=form.find('[name="sourceField"]'),targetField=form.find('[name="targetField"]'),select2SourceField=app.getSelect2ElementFromSelect(sourceField),select2TargetField=app.getSelect2ElementFromSelect(targetField),sourceFieldValue=sourceField.val(),targetFieldValue=targetField.val(),dependencyGraph=jQuery('#dependencyGraph');if(''!=sourceFieldValue&&''!=targetFieldValue){var resultMessage=app.vtranslate('JS_SOURCE_AND_TARGET_FIELDS_SHOULD_NOT_BE_SAME');if(form.find('.errorMessage').addClass('d-none'),sourceFieldValue==targetFieldValue)select2TargetField.validationEngine('showPrompt',resultMessage,'error','topLeft',!0),dependencyGraph.html('');else {select2SourceField.validationEngine('hide'),select2TargetField.validationEngine('hide');var sourceModule=form.find('[name="sourceModule"]').val(),progressIndicatorElement=jQuery.progressIndicator({position:'html',blockInfo:{enabled:!0}});thisInstance.checkCyclicDependency(sourceModule,sourceFieldValue,targetFieldValue).done(function(data){var result=data.result;result.result?(progressIndicatorElement.progressIndicator({mode:'hide'}),form.find('.errorMessage').removeClass('d-none'),form.find('.cancelAddView').removeClass('d-none'),dependencyGraph.html('')):(thisInstance.addNewDependencyPickList(sourceModule,sourceFieldValue,targetFieldValue),progressIndicatorElement.progressIndicator({mode:'hide'}));}).fail(function(){progressIndicatorElement.progressIndicator({mode:'hide'});});}}else {form.find('.errorMessage').addClass('d-none');var result=app.vtranslate('JS_SELECT_SOME_VALUE');''==sourceFieldValue?select2SourceField.validationEngine('showPrompt',result,'error','topLeft',!0):''==targetFieldValue&&select2TargetField.validationEngine('showPrompt',result,'error','topLeft',!0);}},/**
		 * Function used to check the cyclic dependency of the selected picklist fields
		 * @params: sourceModule - selected module
		 *            sourceFieldValue - source picklist value
		 *            targetFieldValue - target picklist value
		 */checkCyclicDependency:function checkCyclicDependency(sourceModule,sourceFieldValue,targetFieldValue){var aDeferred=jQuery.Deferred(),params={};return params.mode='checkCyclicDependency',params.module=app.getModuleName(),params.parent=app.getParentModuleName(),params.action='Index',params.sourceModule=sourceModule,params.sourcefield=sourceFieldValue,params.targetfield=targetFieldValue,AppConnector.request(params).done(function(data){aDeferred.resolve(data);},function(){aDeferred.reject();}),aDeferred.promise()},/**
		 * Function used to show the new picklist dependency graph
		 * @params: sourceModule - selected module
		 *            sourceFieldValue - source picklist value
		 *            targetFieldValue - target picklist value
		 */addNewDependencyPickList:function addNewDependencyPickList(sourceModule,sourceFieldValue,targetFieldValue){var thisInstance=this,dependencyGraph=$('#dependencyGraph');thisInstance.updatedSourceValues=[],AppConnector.request({mode:'getDependencyGraph',module:app.getModuleName(),parent:app.getParentModuleName(),view:'IndexAjax',sourceModule:sourceModule,sourcefield:sourceFieldValue,targetfield:targetFieldValue}).done(function(data){dependencyGraph.html(data).css({padding:'10px',border:'1px solid #ddd',background:'#fff'}),thisInstance.registerDependencyGraphEvents();});},/**
		 * This function will delete the pickList Dependency
		 * @params: module - selected module
		 *            sourceField - source picklist value
		 *            targetField - target picklist value
		 */deleteDependency:function deleteDependency(module,sourceField,targetField){var aDeferred=jQuery.Deferred(),params={};return params.module=app.getModuleName(),params.parent=app.getParentModuleName(),params.action='DeleteAjax',params.sourceModule=module,params.sourcefield=sourceField,params.targetfield=targetField,AppConnector.request(params).done(function(data){aDeferred.resolve(data);}).fail(function(error,err){aDeferred.reject(error,err);}),aDeferred.promise()},/**
		 * Function used to show cancel link in add view and register click event for cancel
		 */registerCancelAddView:function registerCancelAddView(form){var thisInstance=this,cancelDiv=form.find('.cancelAddView');cancelDiv.removeClass('d-none'),cancelDiv.find('.cancelLink').on('click',function(){thisInstance.loadListViewContents(thisInstance.listViewForModule);});},/**
		 * Register all the events related to addView of picklist dependency
		 */registerAddViewEvents:function registerAddViewEvents(){var thisInstance=this,form=jQuery('#pickListDependencyForm');thisInstance.registerCancelAddView(form),thisInstance.getModuleDependencyGraph(form),thisInstance.registerPicklistFieldsChangeEvent(form),thisInstance.registerSubmitEvent();},/**
		 * Register all the events in editView of picklist dependency
		 */registerDependencyGraphEvents:function registerDependencyGraphEvents(){var thisInstance=this,form=jQuery('#pickListDependencyForm'),dependencyGraph=jQuery('#dependencyGraph');form.find('.cancelAddView').addClass('d-none'),thisInstance.registerTargetFieldsClickEvent(dependencyGraph),thisInstance.registerTargetFieldsUnmarkAll(dependencyGraph),thisInstance.registerSelectSourceValuesClick(dependencyGraph),thisInstance.registerCancelDependency(form);},/**
		 * Register all the events related to listView of picklist dependency
		 */registerListViewEvents:function registerListViewEvents(){var thisInstance=this,forModule=jQuery('.contentsDiv').find('.pickListSupportedModules').val();//thisInstance.triggerDisplayTypeEvent();
thisInstance.listViewForModule=forModule,thisInstance.registerSourceModuleChangeEvent();},/**
		 * Register the click event for cancel picklist dependency changes
		 */registerCancelDependency:function registerCancelDependency(form){var thisInstance=this,cancelDependencyLink=form.find('.cancelDependency');//Register click event for cancel link
cancelDependencyLink.on('click',function(){thisInstance.loadListViewContents(thisInstance.listViewForModule);});},/**
		 * Register the click event for target fields in dependency graph
		 */registerTargetFieldsClickEvent:function registerTargetFieldsClickEvent(dependencyGraph){var thisInstance=this;thisInstance.updatedSourceValues=[],dependencyGraph.find('td.picklistValueMapping').on('click',function(e){var currentTarget=jQuery(e.currentTarget),sourceValue=currentTarget.data('sourceValue');-1==jQuery.inArray(sourceValue,thisInstance.updatedSourceValues)&&thisInstance.updatedSourceValues.push(sourceValue),currentTarget.hasClass('selectedCell')?currentTarget.addClass('unselectedCell').removeClass('selectedCell'):currentTarget.addClass('selectedCell').removeClass('unselectedCell');});},registerTargetFieldsUnmarkAll:function registerTargetFieldsUnmarkAll(dependencyGraph){var thisInstance=this;thisInstance.updatedSourceValues=[],dependencyGraph.find('.unmarkAll').on('click',function(){dependencyGraph.find('td.picklistValueMapping').each(function(){var currentTarget=jQuery(this),sourceValue=currentTarget.data('sourceValue');-1==jQuery.inArray(sourceValue,thisInstance.updatedSourceValues)&&thisInstance.updatedSourceValues.push(sourceValue),currentTarget.addClass('unselectedCell').removeClass('selectedCell');});});},/**
		 * Function used to update the value mapping to save the picklist dependency
		 */updateValueMapping:function updateValueMapping(dependencyGraph){var thisInstance=this;thisInstance.valueMapping=[];var sourceValuesArray=thisInstance.updatedSourceValues,dependencyTable=dependencyGraph.find('.pickListDependencyTable');for(var key in sourceValuesArray){var encodedSourceValue=void 0;encodedSourceValue='string'==typeof sourceValuesArray[key]?sourceValuesArray[key].replace(/"/g,'\\"'):sourceValuesArray[key];var selectedTargetValues=dependencyTable.find('td[data-source-value="'+encodedSourceValue+'"]').filter('.selectedCell'),targetValues=[];0<selectedTargetValues.length?jQuery.each(selectedTargetValues,function(index,element){targetValues.push(jQuery(element).data('targetValue'));}):targetValues.push(''),thisInstance.valueMapping.push({sourcevalue:sourceValuesArray[key],targetvalues:targetValues});}},/**
		 * Register click event for select source values button in add/edit view
		 */registerSelectSourceValuesClick:function registerSelectSourceValuesClick(dependencyGraph){var _this=this;dependencyGraph.find('button.sourceValues').on('click',function(){var selectSourceValues=dependencyGraph.find('.modalCloneCopy'),clonedContainer=selectSourceValues.clone(!0,!0).removeClass('modalCloneCopy');app.showModalWindow(clonedContainer,function(data){data.find('.sourcePicklistValuesModal').removeClass('d-none'),data.find('[name="saveButton"]').on('click',function(){_this.selectedSourceValues=[];var sourceValues=data.find('.sourceValue');$.each(sourceValues,function(index,ele){var element=$(ele),elementId=element.attr('id'),hiddenElement=selectSourceValues.find('#'+elementId);element.is(':checked')?(_this.selectedSourceValues.push(element.val()),hiddenElement.prop('checked',!0)):hiddenElement.prop('checked',!1);}),app.hideModalWindow(),_this.loadMappingForSelectedValues(dependencyGraph);});},{width:'1000px'});});},/**
		 * Function used to load mapping for selected picklist fields
		 */loadMappingForSelectedValues:function loadMappingForSelectedValues(dependencyGraph){var thisInstance=this,allSourcePickListValues=JSON.parse(dependencyGraph.find('.allSourceValues').val()),dependencyTable=dependencyGraph.find('.pickListDependencyTable');for(var key in allSourcePickListValues){if('string'==typeof allSourcePickListValues[key])var encodedSourcePickListValue=allSourcePickListValues[key].replace(/"/g,'\\"');else encodedSourcePickListValue=allSourcePickListValues[key];var mappingCells=dependencyTable.find('[data-source-value="'+encodedSourcePickListValue+'"]');-1==jQuery.inArray(allSourcePickListValues[key],thisInstance.selectedSourceValues)?mappingCells.hide():mappingCells.show();}},/**
		 * This function will save the picklist dependency details
		 */savePickListDependency:function savePickListDependency(form){var self=this,progressIndicatorElement=$.progressIndicator({position:'html',blockInfo:{enabled:!0}}),params=form.serializeFormData();params.module=app.getModuleName(),params.parent=app.getParentModuleName(),params.action='SaveAjax',params.mapping=JSON.stringify(self.valueMapping),AppConnector.request(params).done(function(data){data.success&&(progressIndicatorElement.progressIndicator({mode:'hide'}),Vtiger_Helper_Js.showMessage({text:app.vtranslate('JS_PICKLIST_DEPENDENCY_SAVED'),type:'success'}),self.loadListViewContents(params.sourceModule));}).fail(function(){progressIndicatorElement.progressIndicator({mode:'hide'});});},/**
		 * This function will load the listView contents after Add/Edit picklist dependency
		 */loadListViewContents:function loadListViewContents(forModule){var thisInstance=this,progressIndicatorElement=jQuery.progressIndicator({position:'html',blockInfo:{enabled:!0}}),params={};params.module=app.getModuleName(),params.parent=app.getParentModuleName(),params.view='List',params.formodule=forModule,AppConnector.requestPjax(params).done(function(data){//replace the new list view contents
progressIndicatorElement.progressIndicator({mode:'hide'}),jQuery('.contentsDiv').html(data),App.Fields.Picklist.changeSelectElementView(jQuery('.contentsDiv')),thisInstance.registerListViewEvents();}).fail(function(){progressIndicatorElement.progressIndicator({mode:'hide'});});},/**
		 * trigger the display type event to show the width
		 */triggerDisplayTypeEvent:function triggerDisplayTypeEvent(){var widthType=app.cacheGet('widthType','narrowWidthType');if(widthType){var elements=jQuery('.listViewEntriesTable').find('td,th');elements.attr('class',widthType);}},/**
		 * register change event for source module in add/edit picklist dependency
		 */registerSourceModuleChangeEvent:function registerSourceModuleChangeEvent(){var thisInstance=this,container=jQuery('.contentsDiv');container.find('.pickListSupportedModules').on('change',function(e){var currentTarget=jQuery(e.currentTarget),forModule=currentTarget.val();thisInstance.loadListViewContents(forModule);});},/**
		 * register the form submit event
		 */registerSubmitEvent:function registerSubmitEvent(){var thisInstance=this,form=jQuery('#pickListDependencyForm'),dependencyGraph=jQuery('#dependencyGraph');form.on('submit',function(e){e.preventDefault();try{thisInstance.updateValueMapping(dependencyGraph);}catch(e){return void bootbox.alert(e.message)}if('true'!=form.find('.editDependency').val()&&1>thisInstance.valueMapping.length){var params={};params.text=app.vtranslate('JS_PICKLIST_DEPENDENCY_NO_SAVED'),params.type='info',Settings_Vtiger_Index_Js.showMessage(params);}else thisInstance.savePickListDependency(form);});},/**
		 * register events for picklist dependency
		 */registerEvents:function registerEvents(){var thisInstance=this,form=jQuery('#pickListDependencyForm');0<form.length?'true'==form.find('.editDependency').val()?(form.find('select[name="sourceModule"],select[name="sourceField"],select[name="targetField"]').prop('disabled',!0),thisInstance.registerDependencyGraphEvents(),thisInstance.registerSubmitEvent()):thisInstance.registerAddViewEvents():thisInstance.registerListViewEvents();}}),jQuery(document).ready(function(){var instance=new Settings_PickListDependency_Js;instance.registerEvents();});
//# sourceMappingURL=PickListDependency.min.js.map
