'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

/**
 * Class Settings_YetiForce_Shop_Js.
 * @type {window.Settings_YetiForce_Shop_Js}
 */window.Settings_YetiForce_Shop_Js=function(){/**
	 * Constructor.
	 */function Settings_YetiForce_Shop_Js(){var modalUrl=0<arguments.length&&void 0!==arguments[0]?arguments[0]:'index.php?module=YetiForce&parent=Settings';classCallCheck(this,Settings_YetiForce_Shop_Js),this.container=$('.js-products-container'),this.modalUrl=modalUrl;}/**
	 * Register events.
	 */return createClass(Settings_YetiForce_Shop_Js,[{key:'registerEvents',value:function registerEvents(){this.registerProductModalClick(),this.registerBuyModalClick(),this.registerShopSearch(),this.registerCategories(),this.showInitialModal();}},{key:'showInitialModal',value:function showInitialModal(){var request=app.convertUrlToObject(window.location.href);request.mode&&('buy'===request.showBuyModal?this.showBuyModal(request.product,request.department):'showProductModal'===request.mode&&this.showProductModal(request.product,request.department));}/**
	 * Register events.
	 */},{key:'registerShopSearch',value:function registerShopSearch(){var _this=this,searchField=this.container.find('.js-shop-search');searchField=searchField.length?searchField:$('.js-shop-search'),searchField.on('keyup',function(e){var value=$(e.currentTarget).val().toLowerCase();_this.container.find('.js-product .js-text-search').filter(function(){var item=$(this).closest('.js-product');-1<$(this).text().toLowerCase().indexOf(value)?item.removeClass('d-none'):item.addClass('d-none');});}).on('click',function(e){e.stopPropagation();});}/**
	 * Register product modal click.
	 *
	 */},{key:'registerProductModalClick',value:function registerProductModalClick(){var _this2=this;this.container.find('.js-product').on('click',function(e){var currentTarget=$(e.currentTarget);_this2.showProductModal(currentTarget.data('product'),_this2.getDepartment(currentTarget));});}/**
	 * Show product modal action.
	 *
	 * @param   {string}  productName
	 * @param   {string}  department
	 */},{key:'showProductModal',value:function showProductModal(productName,department){var _this3=this;app.showModalWindow(null,this.modalUrl+'&view=ProductModal&product='+productName+(department?'&department='+department:''),function(modalContainer){modalContainer.find('.js-modal__save').on('click',function(){app.hideModalWindow(),_this3.showBuyModal(productName,department);});});}/**
	 * Register buy modal click.
	 *
	 */},{key:'registerBuyModalClick',value:function registerBuyModalClick(){var _this4=this;this.container.find('.js-buy-modal').on('click',function(e){e.stopPropagation();var currentTarget=$(e.currentTarget);_this4.showBuyModal(currentTarget.data('product'),_this4.getDepartment(currentTarget));});}/**
	 * Show buy modal action.
	 *
	 * @param   {string}  productName
	 * @param   {string}  department
	 */},{key:'showBuyModal',value:function showBuyModal(productName,department){app.showModalWindow(null,this.modalUrl+'&view=BuyModal&product='+productName+(department?'&department='+department:''),this.registerBuyModalEvents.bind(this));}},{key:'registerBuyModalEvents',value:function registerBuyModalEvents(modalContainer){var _this5=this,companyForm=modalContainer.find('.js-update-company-form'),buyForm=modalContainer.find('.js-buy-form');modalContainer.find('.js-modal__save').on('click',function(){_this5.registerBuyModalForms(companyForm,buyForm);}),companyForm.length&&(companyForm.validationEngine(app.validationEngineOptions),companyForm.find('[data-inputmask]').inputmask()),buyForm.length&&buyForm.validationEngine(app.validationEngineOptions);}},{key:'registerBuyModalForms',value:function registerBuyModalForms(companyForm,buyForm){if(!companyForm.length)!0===buyForm.validationEngine('validate')?(this.updateCustomData(buyForm),buyForm.submit(),app.hideModalWindow()):app.formAlignmentAfterValidation(buyForm);else if(!0===companyForm.validationEngine('validate')){app.removeEmptyFilesInput(companyForm[0]);var formData=new FormData(companyForm[0]),progressIndicatorElement=$.progressIndicator({blockInfo:{enabled:!0}});AppConnector.request({url:'index.php',type:'POST',data:formData,processData:!1,contentType:!1}).done(function(data){data.success&&(buyForm.submit(),app.hideModalWindow()),progressIndicatorElement.progressIndicator({mode:'hide'});});}else app.formAlignmentAfterValidation(companyForm);}/**
	 * Update custom data.
	 */},{key:'updateCustomData',value:function updateCustomData(buyForm){var customField=buyForm.find('.js-custom-data'),priceBySize=buyForm.find('.js-price-by-size');if(customField.length){var customFields=buyForm.find('.js-custom-field');customFields.each(function(i,el){var field=$(el);customField.val(''+customField.val()+field.data('name')+'::'+field.val()+(customFields.length-1===i?'':'|'));});}priceBySize.length&&priceBySize.siblings('.js-price-by-size-input').val(priceBySize.find('option[value="'+priceBySize.val()+'"]').data('os0'));}/**
	 * Get department.
	 *
	 * @param   {object}  element  jQuery
	 *
	 * @return  {string}
	 */},{key:'getDepartment',value:function getDepartment(element){var department=element.closest('.js-department');return department.length?department.data('department'):''}/**
	 * Register categories.
	 *
	 */},{key:'registerCategories',value:function registerCategories(){var _this6=this;this.container.find('.js-select-category').on('click',function(e){_this6.changeCategory($(e.currentTarget).data('tab'));}),this.changeCategory(this.container.find('.js-select-category.active').data('tab'));}/**
	 * Register categories.
	 *
	 */},{key:'changeCategory',value:function changeCategory(category){this.container.find('.js-nav-premium .js-product').each(function(){var product=$(this);'All'===category?product.removeClass('d-none'):product.data('category')===category?product.removeClass('d-none'):product.addClass('d-none');});}}]),Settings_YetiForce_Shop_Js}();
//# sourceMappingURL=Shop.min.js.map
