'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var Vtiger_ConditionBuilder_Js=function(){/**
	 * Constructor
	 * @param {jQuery} container
	 */function Vtiger_ConditionBuilder_Js(container,sourceModuleName,onChange){classCallCheck(this,Vtiger_ConditionBuilder_Js),this.container=container,this.sourceModuleName=sourceModuleName,this.onChange=onChange?onChange:function(){};}/**
	 * Register change value event
	 *
	 * @param   {jQuery}  container
	 */return createClass(Vtiger_ConditionBuilder_Js,[{key:'registerChangeValueEvent',value:function registerChangeValueEvent(container){var _this=this;container.find('.js-condition-builder-value').on('change',function(){_this.onChange(_this);});}/**
	 * Register events when change conditions
	 * @param {jQuery} container
	 */},{key:'registerChangeConditions',value:function registerChangeConditions(container){var self=this;container.find('.js-conditions-fields, .js-conditions-operator').on('change',function(e){var progress=$.progressIndicator({position:'html',blockInfo:{enabled:!0}}),currentTarget=$(e.currentTarget),requestParams={};requestParams=currentTarget.hasClass('js-conditions-fields')?{module:app.getModuleName(),parent:app.getParentModuleName(),view:'ConditionBuilder',sourceModuleName:self.sourceModuleName,fieldname:currentTarget.val()}:{module:app.getModuleName(),parent:app.getParentModuleName(),view:'ConditionBuilder',sourceModuleName:self.sourceModuleName,fieldname:container.find('.js-conditions-fields').val(),operator:currentTarget.val()},AppConnector.request(requestParams).done(function(data){progress.progressIndicator({mode:'hide'}),container.html($(data).html()),self.registerChangeConditions(container),self.registerField(container),self.registerChangeValueEvent(container),self.onChange(self);});});}/**
	 * register field types related events
	 * @param {jQuery} container
	 */},{key:'registerField',value:function registerField(container){App.Fields.Picklist.showSelect2ElementView(container.find('select.select2')),App.Fields.Date.register(container,!0,{},'js-date-field'),App.Fields.Date.registerRange(container.find('.js-date-range-field'),{ranges:!1}),App.Fields.DateTime.register(container.find('.js-datetime-range-field')),app.registerEventForClockPicker($(container.find('.clockPicker'))),App.Fields.Tree.register(container);}/**
	 * Register events to add condition
	 */},{key:'registerAddCondition',value:function registerAddCondition(){var self=this;this.container.on('click','.js-condition-add',function(){var progress=$.progressIndicator({position:'html',blockInfo:{enabled:!0}}),container=$(this).closest('.js-condition-builder-group-container').find('> .js-condition-builder-conditions-container');AppConnector.request({module:app.getModuleName(),parent:app.getParentModuleName(),view:'ConditionBuilder',sourceModuleName:self.sourceModuleName}).done(function(data){progress.progressIndicator({mode:'hide'}),data=$(data),App.Fields.Picklist.showSelect2ElementView(data.find('select.select2')),self.registerChangeConditions(data),self.registerChangeValueEvent(data),container.append(data),self.onChange(self);});});}/**
	 * Register events to add group
	 */},{key:'registerAddGroup',value:function registerAddGroup(){var _this2=this;this.container.on('click','.js-group-add',function(e){var template=_this2.container.find('.js-condition-builder-group-template').clone();template.removeClass('hide'),$(e.target).closest('.js-condition-builder-group-container').find('> .js-condition-builder-conditions-container').append(template.html()),_this2.onChange(_this2);});}/**
	 * Register events to remove group
	 */},{key:'registerDeleteGroup',value:function registerDeleteGroup(){var _this3=this;this.container.on('click','.js-group-delete',function(e){$(e.target).closest('.js-condition-builder-group-container').remove(),_this3.onChange(_this3);});}/**
	 * Register events to remove condition
	 */},{key:'registerDeleteCondition',value:function registerDeleteCondition(){var _this4=this;this.container.on('click','.js-condition-delete',function(e){$(e.target).closest('.js-condition-builder-conditions-row').remove(),_this4.onChange(_this4);});}/**
	 * Block submit on press enter key
	 */},{key:'registerDisableSubmitOnEnter',value:function registerDisableSubmitOnEnter(){this.container.find('.js-condition-builder-value').keydown(function(e){13===e.keyCode&&e.preventDefault();});}/**
	 * Read conditions in group
	 * @param {jQuery} container
	 * @returns {object}
	 */},{key:'readCondition',value:function readCondition(container){var self=this,condition=container.find('> .js-condition-switch .js-condition-switch-value').hasClass('active')?'AND':'OR',arr={};arr.condition=condition;var rules=[];return container.find('> .js-condition-builder-conditions-container >').each(function(){var element=$(this);element.hasClass('js-condition-builder-conditions-row')?rules.push({fieldname:element.find('.js-conditions-fields').val(),operator:element.find('.js-conditions-operator').val(),value:element.find('.js-condition-builder-value').val()}):element.hasClass('js-condition-builder-group-container')&&rules.push(self.readCondition(element));}),arr.rules=rules,arr}/**
	 * Returns conditions
	 */},{key:'getConditions',value:function getConditions(){return this.readCondition(this.container.find('> .js-condition-builder-group-container'))}/**
	 * Main function to regsiter events
	 */},{key:'registerEvents',value:function registerEvents(){var self=this;this.registerAddCondition(),this.registerAddGroup(),this.registerDeleteGroup(),this.registerDeleteCondition(),this.registerDisableSubmitOnEnter(),this.container.find('.js-condition-builder-conditions-row').each(function(){self.registerChangeConditions($(this)),self.registerField($(this));});}}]),Vtiger_ConditionBuilder_Js}();
//# sourceMappingURL=ConditionBuilder.min.js.map
