'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

/** Class representing a calendar. *//**
 *  Class representing a calendar with creating events by day click instead of selecting days.
 * @extends Calendar_Js
 */window.Calendar_Js=function(){/**
	 * Create calendar's options.
	 * @param {jQuery} container
	 * @param {bool} readonly
	 */function _class(){var container=0<arguments.length&&void 0!==arguments[0]?arguments[0]:$('.js-base-container'),readonly=!!(1<arguments.length&&void 0!==arguments[1])&&arguments[1],browserHistory=!(2<arguments.length&&void 0!==arguments[2])||arguments[2];classCallCheck(this,_class),this.calendarView=!1,this.calendarCreateView=!1,this.container=container,this.readonly=readonly,this.eventCreate=app.getMainParams('eventCreate'),this.eventEdit=app.getMainParams('eventEdit'),this.browserHistory=!readonly&&browserHistory,this.sidebarView={length:0},this.browserHistoryConfig=this.browserHistory?{}:this.setBrowserHistoryOptions(),this.calendarOptions=this.setCalendarOptions(),this.eventTypeKeyName=!1,this.module=app.getModuleName();}/**
	 * Set calendar's options.
	 * @returns {object}
	 */return createClass(_class,[{key:'setCalendarOptions',value:function setCalendarOptions(){return Object.assign(this.setCalendarBasicOptions(),this.setCalendarAdvancedOptions(),this.setCalendarModuleOptions(),this.browserHistoryConfig)}/**
	 * Set calendar's basic options.
	 * @returns {object}
	 */},{key:'setCalendarBasicOptions',value:function setCalendarBasicOptions(){var eventLimit=app.getMainParams('eventLimit'),userDefaultActivityView=app.getMainParams('activity_view'),defaultView=app.moduleCacheGet('defaultView'),userDefaultTimeFormat=CONFIG.hourFormat;eventLimit='true'==eventLimit||'false'!=eventLimit&&parseInt(eventLimit)+1,userDefaultActivityView='Today'===userDefaultActivityView?app.getMainParams('dayView'):'This Week'===userDefaultActivityView?app.getMainParams('weekView'):'This Year'===userDefaultActivityView?'year':'month',null!=defaultView&&(userDefaultActivityView=defaultView),userDefaultTimeFormat=24==userDefaultTimeFormat?'H:mm':'h:mmt';var options={timeFormat:userDefaultTimeFormat,slotLabelFormat:userDefaultTimeFormat,defaultView:userDefaultActivityView,slotMinutes:15,defaultEventMinutes:0,forceEventDuration:!0,defaultTimedEventDuration:'01:00:00',eventLimit:eventLimit,eventLimitText:app.vtranslate('JS_MORE'),selectHelper:!0,scrollTime:app.getMainParams('startHour')+':00',monthNamesShort:App.Fields.Date.monthsTranslated,dayNames:App.Fields.Date.fullDaysTranslated,buttonText:{today:app.vtranslate('JS_CURRENT'),year:app.vtranslate('JS_YEAR'),month:app.vtranslate('JS_MONTH'),week:app.vtranslate('JS_WEEK'),day:app.vtranslate('JS_DAY')},allDayText:app.vtranslate('JS_ALL_DAY')};if(null!==app.moduleCacheGet('start')){var s=moment(app.moduleCacheGet('start')).valueOf(),e=moment(app.moduleCacheGet('end')).valueOf();options.defaultDate=moment(moment(s+(e-s)/2).format('YYYY-MM-DD'));}return Object.assign(this.setCalendarMinimalOptions(),options)}/**
	 * Converts the date format.
	 * @param {string} partOfDate
	 */},{key:'parseDateFormat',value:function parseDateFormat(partOfDate){var parseWeekAndDayFormat={"yyyy-mm-dd":'YYYY-MMM-D',"mm-dd-yyyy":'MMM-D-YYYY',"dd-mm-yyyy":'D-MMM-YYYY',"yyyy.mm.dd":'YYYY.MMM.D',"mm.dd.yyyy":'MMM.D.YYYY',"dd.mm.yyyy":'D.MMM.YYYY',"yyyy/mm/dd":'YYYY/MMM/D',"mm/dd/yyyy":'MMM/D/YYYY',"dd/mm/yyyy":'D/MMM/YYYY'},formatDate=CONFIG.dateFormat;switch(partOfDate){case'month':return {"yyyy-mm-dd":'YYYY-MMMM',"mm-dd-yyyy":'MMMM-YYYY',"dd-mm-yyyy":'MMMM-YYYY',"yyyy.mm.dd":'YYYY.MMMM',"mm.dd.yyyy":'MMMM.YYYY',"dd.mm.yyyy":'MMMM.YYYY',"yyyy/mm/dd":'YYYY/MMMM',"mm/dd/yyyy":'MMMM/YYYY',"dd/mm/yyyy":'MMMM/YYYY'}[formatDate];case'week':return parseWeekAndDayFormat[formatDate];case'day':return parseWeekAndDayFormat[formatDate];}}/**
	 * Set calendar's minimal options.
	 * @returns {object}
	 */},{key:'setCalendarMinimalOptions',value:function setCalendarMinimalOptions(){var hiddenDays=[];return 'workDays'===app.getMainParams('switchingDays')&&(hiddenDays=app.getMainParams('hiddenDays',!0)),{firstDay:CONFIG.firstDayOfWeekNo,selectable:!0,hiddenDays:hiddenDays,monthNames:App.Fields.Date.fullMonthsTranslated,dayNamesShort:App.Fields.Date.daysTranslated}}/**
	 * Set calendar's advanced options.
	 * @returns {object}
	 */},{key:'setCalendarAdvancedOptions',value:function setCalendarAdvancedOptions(){var self=this;return {editable:!this.readonly&&this.eventEdit,selectable:!this.readonly&&this.eventCreate,header:{left:'month,'+app.getMainParams('weekView')+','+app.getMainParams('dayView'),center:'title today',right:'prev,next'},allDaySlot:app.getMainParams('allDaySlot'),views:{basic:{eventLimit:!1},month:{titleFormat:this.parseDateFormat('month')},week:{titleFormat:this.parseDateFormat('week')},day:{titleFormat:this.parseDateFormat('day')}},eventDrop:function eventDrop(event,delta,revertFunc){self.updateEvent(event,delta,revertFunc);},eventResize:function eventResize(event,delta,revertFunc){self.updateEvent(event,delta,revertFunc);},viewRender:function viewRender(){self.loadCalendarData();},eventRender:self.eventRenderer,height:this.setCalendarHeight(this.container)}}/**
	 * Update calendar's event.
	 * @param {Object} event
	 * @param {Object} delta
	 * @param {Object} revertFunc
	 */},{key:'updateEvent',value:function updateEvent(event,delta,revertFunc){var progressInstance=jQuery.progressIndicator({blockInfo:{enabled:!0}}),start=event.start.format(),params={module:CONFIG.module,action:'Calendar',mode:'updateEvent',id:event.id,start:start,delta:delta._data,allDay:event.allDay};AppConnector.request(params).done(function(response){response.result?window.popoverCache={}:(app.showNotify({text:app.vtranslate('JS_NO_EDIT_PERMISSION'),type:'error'}),revertFunc()),progressInstance.progressIndicator({mode:'hide'});}).fail(function(){progressInstance.progressIndicator({mode:'hide'}),app.showNotify({text:app.vtranslate('JS_NO_EDIT_PERMISSION'),type:'error'}),revertFunc();});}/**
	 * Render event.
	 * @param {Object} event
	 * @param {jQuery} element
	 */},{key:'eventRenderer',value:function eventRenderer(event,element){element.find('.fc-title').html(event.title),'background'===event.rendering&&(element.append('<span class="js-popover-text d-block"><span class="'+event.icon+' js-popover-icon mr-1"></span>'+event.title+'</span>'),element.addClass('js-popover-tooltip--ellipsis').attr('data-content',event.title),app.registerPopoverEllipsis({element:element}));}/**
	 * Returns counted calendar height.
	 * @returns {(number|string)}
	 */},{key:'setCalendarHeight',value:function setCalendarHeight(){var _this=this;if(993<$(window).width()){var calendarPadding,calendarContainer=this.container.find('.js-calendar__container');calendarPadding=this.container.hasClass('js-modal-container')?this.container.find('.js-modal-header').outerHeight():this.container.find('.js-contents-div').css('margin-left').replace('px','');var setCalendarH=function(){return $(window).height()-_this.container.find('.js-calendar__container').offset().top-$('.js-footer').height()-calendarPadding};new ResizeSensor(this.container.find('.contentsDiv'),function(){calendarContainer.fullCalendar('option','height',setCalendarH());});}return 'auto'}/**
	 * Set calendar module's options.
	 * @returns {object}
	 */},{key:'setCalendarModuleOptions',value:function setCalendarModuleOptions(){return {}}/**
	 * Set calendar options from browser history.
	 * @returns {object}
	 */},{key:'setBrowserHistoryOptions',value:function setBrowserHistoryOptions(){var historyParams=app.getMainParams('historyParams',!0),options=null;if(historyParams&&(historyParams.length||Object.keys(historyParams).length)){options={start:historyParams.start,end:historyParams.end,user:historyParams.user.split(',').map(function(x){return parseInt(x)}),time:historyParams.time,hiddenDays:historyParams.hiddenDays.split(',').map(function(x){var parsedValue=parseInt(x);return isNaN(parsedValue)?'':parsedValue}),cvid:historyParams.cvid,defaultView:historyParams.viewType};var dateFormat=CONFIG.dateFormat.toUpperCase(),s=moment(options.start,dateFormat).valueOf(),e=moment(options.end,dateFormat).valueOf();options.defaultDate=moment(moment(s+(e-s)/2).format('YYYY-MM-DD')),Object.keys(options).forEach(function(key){return 'undefined'===options[key]&&delete options[key]}),app.moduleCacheSet('browserHistoryEvent',!1),app.setMainParams('showType',options.time),app.setMainParams('usersId',options.user),app.setMainParams('defaultView',options.defaultView);}return window.addEventListener('popstate',function(){app.moduleCacheSet('browserHistoryEvent',!0);},!1),options}/**
	 * Register filters
	 */},{key:'registerFilters',value:function registerFilters(){var thisInstance=this,aDeferred=jQuery.Deferred(),sideBar=thisInstance.getSidebarView();return !sideBar||0>=sideBar.length?(aDeferred.resolve(!0),aDeferred.promise()):(sideBar.find('.js-sidebar-filter-container').each(function(_,row){row.dataset.url&&AppConnector.request(row.dataset.url).done(function(data){if(data){var formContainer=$(row).find('.js-sidebar-filter-body');formContainer.html(data),thisInstance.registerUsersChange(formContainer),App.Fields.Picklist.showSelect2ElementView(formContainer.find('select')),app.showNewScrollbar(formContainer,{suppressScrollX:!0}),thisInstance.registerFilterForm(formContainer);}});}),aDeferred.promise())}/**
	 * Register filter for users and groups
	 * @param {jQuery} container
	 */},{key:'registerFilterForm',value:function registerFilterForm(container){var _this2=this;container.find('.js-filter__search').length&&container.find('.js-filter__search').on('keyup',this.findElementOnList.bind(self)),container.find('.js-calendar__filter__select, .filterField').each(function(_,e){var element=$(e),name=element.data('cache'),cachedValue=app.moduleCacheGet(name);if(0<element.length&&void 0!==cachedValue)'SELECT'==element.prop('tagName')&&element.val(cachedValue);else if(name&&0<element.length&&void 0===cachedValue&&!element.find(':selected').length){var allOptions=[];element.find('option').each(function(i,option){allOptions.push($(option).val());}),element.val(allOptions),app.moduleCacheSet(name,cachedValue);}element.off('change'),App.Fields.Picklist.showSelect2ElementView(element),element.on('change',function(e){var item=$(e.currentTarget),value=item.val();null==value&&(value=''),'checkbox'==item.attr('type')&&(value=element.is(':checked')),app.moduleCacheSet(item.data('cache'),value),_this2.getCalendarView().fullCalendar('getCalendar').view.options.loadView();});}),container.find('.js-filter__container_checkbox_list .js-filter__item__val').off('change').on('change',function(){_this2.getCalendarView().fullCalendar('getCalendar').view.options.loadView();});}},{key:'registerUsersChange',value:function registerUsersChange(formContainer){var _this3=this;formContainer.find('.js-input-user-owner-id-ajax, .js-input-user-owner-id').on('change',function(){_this3.getCalendarView().fullCalendar('getCalendar').view.options.loadView();});}/**
	 * Register events.
	 * @returns {object}
	 */},{key:'registerEvents',value:function registerEvents(){this.registerFilters(),this.registerSitebarEvents(),this.renderCalendar(),this.registerButtonSelectAll(),this.registerAddButton();}/**
	 * Invokes fullcalendar with options.
	 */},{key:'renderCalendar',value:function renderCalendar(){this.getCalendarView().fullCalendar(this.calendarOptions);}/**
	 * Register sitebar events.
	 */},{key:'registerSitebarEvents',value:function registerSitebarEvents(){var _this4=this;$('.bodyContents').on('Vtiger.Widget.Load.undefined',function(){_this4.registerSelect2Event();});}/**
	 * Load calendar data
	 */},{key:'loadCalendarData',value:function loadCalendarData(){var _this5=this,defaultParams=this.getDefaultParams();if(this.getCalendarView().fullCalendar('removeEvents'),!defaultParams.emptyFilters){var progressInstance=$.progressIndicator();AppConnector.request(defaultParams).done(function(events){_this5.getCalendarView().fullCalendar('addEventSource',events.result),progressInstance.hide();});}}},{key:'getSidebarView',value:function getSidebarView(){return this.sidebarView.length||(this.sidebarView=this.container.find('.js-calendar-right-panel')),this.sidebarView}},{key:'getCurrentCvId',value:function getCurrentCvId(){return $('.js-calendar__extended-filter-tab .active').parent('.js-filter-tab').data('cvid')}/**
	 * Default params
	 * @returns {{module: *, action: string, mode: string, start: *, end: *, user: *, emptyFilters: boolean}}
	 */},{key:'getDefaultParams',value:function getDefaultParams(){var formatDate=CONFIG.dateFormat.toUpperCase(),view=this.getCalendarView().fullCalendar('getView'),cvid=this.getCurrentCvId(),users=app.moduleCacheGet('calendar-users')||CONFIG.userId,sideBar=this.getSidebarView(),params={module:this.module?this.module:CONFIG.module,action:'Calendar',mode:'getEvents',start:view.start.format(formatDate),end:view.end.format(formatDate),user:users,cvid:cvid,emptyFilters:0===users.length},filters=[];return sideBar.find('.calendarFilters .filterField').each(function(){var name,value,element=$(this);'checkbox'==element.attr('type')?(name=element.val(),value=element.prop('checked')?1:0):(name=element.attr('name'),value=element.val()),filters.push({name:name,value:value});}),filters.length&&(params.filters=filters),sideBar.find('.js-sidebar-filter-container').each(function(_,e){var element=$(e),name=element.data('name'),cacheName=element.data('cache');name&&cacheName&&app.moduleCacheGet(cacheName)&&(params[name]=app.moduleCacheGet(cacheName),params.emptyFilters=!params.emptyFilters&&0===params[name].length);}),sideBar.find('.js-filter__container_checkbox_list').each(function(_,e){var filters=[],element=$(e),name=element.data('name');element.find('.js-filter__item__val:checked').each(function(){filters.push($(this).val());}),name&&(params[name]=filters);}),sideBar.find('.js-calendar__filter__select').each(function(_,e){var element=$(e),name=element.attr('name'),cacheName=element.data('cache');name&&(params[name]=cacheName&&app.moduleCacheGet(cacheName)?app.moduleCacheGet(cacheName):element.val(),params.emptyFilters=!params.emptyFilters&&0===params[name].length);}),params}/**
	 * Register select2 event.
	 */},{key:'registerSelect2Event',value:function registerSelect2Event(){var self=this;$('.siteBarRight .js-calendar__filter__select').each(function(){var element=$(this),name=element.data('cache'),cachedValue=app.moduleCacheGet(name);if(0<element.length&&void 0!==cachedValue)'SELECT'==element.prop('tagName')&&element.val(cachedValue);else if(0<element.length&&void 0===cachedValue&&!element.find(':selected').length){var allOptions=[];element.find('option').each(function(i,option){allOptions.push($(option).val());}),element.val(allOptions),app.moduleCacheSet(name,cachedValue);}});var selectsElements=$('.siteBarRight .select2, .siteBarRight .filterField');selectsElements.off('change'),App.Fields.Picklist.showSelect2ElementView(selectsElements),selectsElements.on('change',function(){var element=$(this),value=element.val();null==value&&(value=''),'checkbox'==element.attr('type')&&(value=element.is(':checked')),app.moduleCacheSet(element.data('cache'),value),self.loadCalendarData();});}/**
	 * Register button select all.
	 */},{key:'registerButtonSelectAll',value:function registerButtonSelectAll(){var selectBtn=$('.selectAllBtn');selectBtn.on('click',function(){var selectAllLabel=$(this).find('.selectAll'),deselectAllLabel=$(this).find('.deselectAll');selectAllLabel.hasClass('d-none')?(selectAllLabel.removeClass('d-none'),deselectAllLabel.addClass('d-none'),$(this).closest('.quickWidget').find('select option').prop('selected',!1)):($(this).closest('.quickWidget').find('select option').prop('selected',!0),deselectAllLabel.removeClass('d-none'),selectAllLabel.addClass('d-none')),$(this).closest('.quickWidget').find('select').trigger('change');});}/**
	 * Register add button.
	 */},{key:'registerAddButton',value:function registerAddButton(){var self=this;$('.js-add').on('click',function(){self.getCalendarCreateView().done(function(data){var headerInstance=new Vtiger_Header_Js;headerInstance.handleQuickCreateData(data,{callbackFunction:function callbackFunction(data){self.addCalendarEvent(data.result);}});});});}/**
	 * Get calendar create view.
	 * @returns {promise}
	 */},{key:'getCalendarCreateView',value:function getCalendarCreateView(){var self=this,aDeferred=jQuery.Deferred();if(!1!==this.calendarCreateView)return aDeferred.resolve(this.calendarCreateView.clone(!0,!0)),aDeferred.promise();var progressInstance=jQuery.progressIndicator();return this.loadCalendarCreateView().done(function(data){progressInstance.hide(),self.calendarCreateView=data,aDeferred.resolve(data.clone(!0,!0));}).fail(function(){progressInstance.hide();}),aDeferred.promise()}/**
	 * Load calendar create view.
	 * @returns {promise}
	 */},{key:'loadCalendarCreateView',value:function loadCalendarCreateView(){var aDeferred=jQuery.Deferred(),moduleName=app.getModuleName(),headerInstance=Vtiger_Header_Js.getInstance();return headerInstance.getQuickCreateForm('index.php?module='+moduleName+'&view=QuickCreateAjax',moduleName).done(function(data){aDeferred.resolve(jQuery(data));}).fail(function(textStatus,errorThrown){aDeferred.reject(textStatus,errorThrown);}),aDeferred.promise()}/**
	 * Add event data to render.
	 */},{key:'getEventRenderData',value:function getEventRenderData(calendarDetails){var calendar=this.getCalendarView(),eventObject={id:calendarDetails._recordId,title:calendarDetails._recordLabel,start:calendar.fullCalendar('moment',calendarDetails.date_start.value+' '+calendarDetails.time_start.value).format(),end:calendar.fullCalendar('moment',calendarDetails.due_date.value+' '+calendarDetails.time_end.value).format(),start_display:calendarDetails.date_start.display_value+' '+calendarDetails.time_start.display_value,end_display:calendarDetails.due_date.display_value+' '+calendarDetails.time_end.display_value,url:'index.php?module='+CONFIG.module+'&view=Detail&record='+calendarDetails._recordId,className:'js-popover-tooltip--record ownerCBg_'+calendarDetails.assigned_user_id.value+' picklistCBr_'+CONFIG.module+'_'+($('.js-calendar__filter__select[data-cache="calendar-types"]').length&&calendarDetails[this.eventTypeKeyName]?this.eventTypeKeyName+'_'+calendarDetails[this.eventTypeKeyName].value:''),allDay:'undefined'!=typeof calendarDetails.allday&&'on'==calendarDetails.allday.value};return eventObject}},{key:'isNewEventToDisplay',value:function isNewEventToDisplay(eventObject){var ownerSelects=$('.js-calendar__filter__select[data-cache="calendar-users"]').add($('.js-calendar__filter__select[data-cache="calendar-groups"]'));if(0>$.inArray(eventObject.assigned_user_id.value,ownerSelects.val()))return this.refreshFilterValues(eventObject,ownerSelects),!1;var calendarTypes=$('.js-calendar__filter__select[data-cache="calendar-types"]');return !(calendarTypes.length&&(this.eventTypeKeyName||this.setEventTypeKey(eventObject,calendarTypes.data('name')),this.eventTypeKeyName&&calendarTypes.val().length&&0>$.inArray(eventObject[this.eventTypeKeyName].value,calendarTypes.val())))}},{key:'setEventTypeKey',value:function setEventTypeKey(eventObject,keyName){var self=this;keyName&&void 0!==eventObject.keyName?self.eventTypeKeyName=keyName:Object.keys(eventObject).forEach(function(key){key.endsWith('type')&&(self.eventTypeKeyName=key);});}},{key:'refreshFilterValues',value:function refreshFilterValues(eventObject,filtersValues){var _this6=this;if(CONFIG.searchShowOwnerOnlyInList){var allOptions=[];filtersValues.find('option').each(function(i,option){allOptions.push($(option).val());}),0>$.inArray(eventObject.assigned_user_id.value,allOptions)&&AppConnector.request('module='+CONFIG.module+'&view=RightPanel&mode=getUsersList').done(function(usersData){var filterUsers=$('.js-calendar__filter--users'),filterGroups=$('.js-calendar__filter--groups');filterUsers.html(usersData),usersData&&filterUsers.closest('.js-toggle-panel').removeClass('d-none'),filterGroups.length?AppConnector.request('module='+CONFIG.module+'&view=RightPanel&mode=getGroupsList').done(function(groupsData){filterGroups.html(groupsData),groupsData&&filterGroups.closest('.js-toggle-panel').removeClass('d-none'),_this6.registerSelect2Event();}):_this6.registerSelect2Event();});}}/**
	 * Add calendar event.
	 */},{key:'addCalendarEvent',value:function addCalendarEvent(eventObject){this.isNewEventToDisplay(eventObject)&&this.getCalendarView().fullCalendar('renderEvent',this.getEventRenderData(eventObject));}/**
	 * Get calendar container.
	 * @returns {(boolean|jQuery)}
	 */},{key:'getCalendarView',value:function getCalendarView(){return !1==this.calendarView&&(this.calendarView=this.container.find('.js-calendar__container')),this.calendarView}}]),_class}(),window.Calendar_Unselectable_Js=function(_Calendar_Js){function _class2(){return classCallCheck(this,_class2),possibleConstructorReturn(this,(_class2.__proto__||Object.getPrototypeOf(_class2)).apply(this,arguments))}return inherits(_class2,_Calendar_Js),createClass(_class2,[{key:'setCalendarModuleOptions',/**
	 * Set calendar module options.
	 * @returns {{allDaySlot: boolean, dayClick: object, selectable: boolean}}
	 */value:function setCalendarModuleOptions(){var self=this;return {allDaySlot:!1,dayClick:!!this.eventCreate&&function(date){self.registerDayClickEvent(date.format()),self.getCalendarView().fullCalendar('unselect');},selectable:!1}}/**
	 * Register day click event.
	 * @param {string} date
	 */},{key:'registerDayClickEvent',value:function registerDayClickEvent(date){var self=this;self.getCalendarCreateView().done(function(data){if(!(0>=data.length)){var dateFormat=data.find('[name="date_start"]').data('dateFormat').toUpperCase(),timeFormat=data.find('[name="time_start"]').data('format'),defaultTimeFormat='hh:mm A';24==timeFormat&&(defaultTimeFormat='HH:mm');var startDateInstance=Date.parse(date),startDateString=moment(date).format(dateFormat),startTimeString=moment(date).format(defaultTimeFormat),endDateInstance=Date.parse(date),endDateString=moment(date).format(dateFormat),view=self.getCalendarView().fullCalendar('getView'),endTimeString=void 0;if('month'==view.name){var diffDays=parseInt((endDateInstance-startDateInstance)/86400000);if(1<diffDays){var defaultFirstHour=app.getMainParams('startHour'),explodedTime=defaultFirstHour.split(':');startTimeString=explodedTime[0];var defaultLastHour=app.getMainParams('endHour');explodedTime=defaultLastHour.split(':'),endTimeString=explodedTime[0];}else {var now=new Date;startTimeString=moment(now).format(defaultTimeFormat),endTimeString=moment(now).add(15,'minutes').format(defaultTimeFormat);}}else endTimeString=moment(endDateInstance).add(30,'minutes').format(defaultTimeFormat);data.find('[name="date_start"]').val(startDateString),data.find('[name="due_date"]').val(endDateString),data.find('[name="time_start"]').val(startTimeString),data.find('[name="time_end"]').val(endTimeString);var headerInstance=new Vtiger_Header_Js;headerInstance.handleQuickCreateData(data,{callbackFunction:function callbackFunction(data){self.addCalendarEvent(data.result,dateFormat);}});}});}}]),_class2}(Calendar_Js);
//# sourceMappingURL=Calendar.min.js.map
