'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
  return typeof obj;
} : function (obj) {
  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
};

$.Class('Vtiger_Inventory_Js',{inventoryInstance:!1,/**
		 * Get inventory instance
		 * @param {jQuery} container
		 * @returns {Vtiger_Inventory_Js}
		 */getInventoryInstance:function getInventoryInstance(container){if(!1===this.inventoryInstance){var moduleClassName=container.find('[name="module"]').val()+'_Inventory_Js';'undefined'==typeof window[moduleClassName]&&(moduleClassName='Vtiger_Inventory_Js'),'undefined'!=typeof window[moduleClassName]&&(this.inventoryInstance=new window[moduleClassName],this.inventoryInstance.registerEvents(container));}return this.inventoryInstance}},{form:!1,inventoryContainer:!1,inventoryHeadContainer:!1,summaryTaxesContainer:!1,summaryDiscountContainer:!1,summaryCurrenciesContainer:!1,rowClass:'tr.inventoryRow',discountModalFields:['aggregationType','globalDiscount','groupCheckbox','groupDiscount','individualDiscount','individualDiscountType'],taxModalFields:['aggregationType','globalTax','groupCheckbox','groupTax','individualTax','regionalTax'],/**
		 * Get current form element
		 * @returns {jQuery}
		 */getForm:function getForm(){return this.form},/**
		 * Function that is used to get the line item container
		 * @return : jQuery object
		 */getInventoryItemsContainer:function getInventoryItemsContainer(){return !1===this.inventoryContainer&&(this.inventoryContainer=$('.inventoryItems')),this.inventoryContainer},getInventoryHeadContainer:function getInventoryHeadContainer(){return !1===this.inventoryHeadContainer&&(this.inventoryHeadContainer=$('.inventoryHeader')),this.inventoryHeadContainer},getInventorySummaryDiscountContainer:function getInventorySummaryDiscountContainer(){return !1===this.summaryDiscountContainer&&(this.summaryDiscountContainer=$('.inventorySummaryDiscounts')),this.summaryDiscountContainer},getInventorySummaryTaxesContainer:function getInventorySummaryTaxesContainer(){return !1===this.summaryTaxesContainer&&(this.summaryTaxesContainer=$('.inventorySummaryTaxes')),this.summaryTaxesContainer},getInventorySummaryCurrenciesContainer:function getInventorySummaryCurrenciesContainer(){return !1===this.summaryCurrenciesContainer&&(this.summaryCurrenciesContainer=$('.inventorySummaryCurrencies')),this.summaryCurrenciesContainer},getNextLineItemRowNumber:function getNextLineItemRowNumber(){var $inventoryItemsNo=$('#inventoryItemsNo'),rowNumber=parseInt($inventoryItemsNo.val())+1;return $inventoryItemsNo.val(rowNumber),rowNumber},getAccountId:function getAccountId(){var accountReferenceField=$('#accountReferenceField').val();return ''==accountReferenceField?'':$('[name="'+accountReferenceField+'"]').val()},checkDeleteIcon:function checkDeleteIcon(){1<this.getInventoryItemsContainer().find(this.rowClass).length?this.showLineItemsDeleteIcon():app.getMainParams('isRequiredInventory')&&this.hideLineItemsDeleteIcon();},showLineItemsDeleteIcon:function showLineItemsDeleteIcon(){this.getInventoryItemsContainer().find('.deleteRow').removeClass('d-none');},hideLineItemsDeleteIcon:function hideLineItemsDeleteIcon(){this.getInventoryItemsContainer().find('.deleteRow').addClass('d-none');},getClosestRow:function getClosestRow(element){return element.closest(this.rowClass)},/**
		 * Function which will return the basic row which can be used to add new rows
		 * @return jQuery object which you can use to
		 */getBasicRow:function getBasicRow(){return this.getForm().find('.js-inventory-base-item').eq(0).clone(!0,!0)},isRecordSelected:function isRecordSelected(element){var parentRow=element.closest('tr'),productField=parentRow.find('.recordLabel');return productField.validationEngine('validate')},getTaxModeSelectElement:function getTaxModeSelectElement(row){var items=this.getInventoryHeadContainer();return 0<items.find('thead .js-taxmode').length?$('.js-taxmode'):!!row&&row.find('.js-taxmode')},isIndividualTaxMode:function isIndividualTaxMode(row){var taxModeElement=this.getTaxModeSelectElement(row),selectedOption=taxModeElement.find('option:selected');return '1'==selectedOption.val()},isGroupTaxMode:function isGroupTaxMode(){var taxTypeElement=this.getTaxModeSelectElement();if(taxTypeElement){var selectedOption=taxTypeElement.find('option:selected');if('0'==selectedOption.val())return !0}return !1},showIndividualTax:function showIndividualTax(row){var thisInstance=this,groupTax=thisInstance.getInventorySummaryTaxesContainer().find('.groupTax'),items=thisInstance.getInventoryItemsContainer(),newRow=$('#blackIthemTable').find('tbody');if(thisInstance.isIndividualTaxMode()){groupTax.addClass('d-none'),items.find('.changeTax').removeClass('d-none'),newRow.find('.changeTax').removeClass('d-none');var parentRow=thisInstance.getInventoryItemsContainer(),taxParam={aggregationType:'global'};parentRow.find(thisInstance.rowClass).each(function(){var thisItem=$(this);taxParam.globalTax=parseFloat(thisItem.find('.js-tax').attr('data-default-tax')),thisInstance.setTaxParam(thisItem,taxParam);});}else thisInstance.setTax(items,0),thisInstance.setTaxPercent(items,0),thisInstance.setTaxParam(items,[]),thisInstance.setDefaultGlobalTax(row),groupTax.removeClass('d-none'),items.find('.changeTax').addClass('d-none'),newRow.find('.changeTax').addClass('d-none');thisInstance.rowsCalculations();},setDefaultGlobalTax:function setDefaultGlobalTax(){var thisInstance=this,parentRow=thisInstance.getInventoryItemsContainer(),taxDefaultValue=thisInstance.getInventorySummaryTaxesContainer().find('.js-default-tax').data('tax-default-value'),isGroupTax=thisInstance.isGroupTaxMode(),summaryContainer=$('#blackIthemTable');if(isGroupTax){var taxParam=thisInstance.getTaxParams(summaryContainer);!1===taxParam&&taxDefaultValue&&(taxParam={aggregationType:'global'},taxParam.globalTax=taxDefaultValue,taxParam.individualTax=''),taxParam&&(thisInstance.setTaxParam(summaryContainer,taxParam),thisInstance.setTaxParam(parentRow,taxParam),parentRow.closest('.inventoryItems').data('taxParam',JSON.stringify(taxParam)),parentRow.find(thisInstance.rowClass).each(function(){thisInstance.quantityChangeActions($(this));}));}else thisInstance.setTaxParam(summaryContainer,[]),parentRow.closest('.inventoryItems').data('taxParam','[]');},getDiscountModeSelectElement:function getDiscountModeSelectElement(row){var items=this.getInventoryHeadContainer();return 0<items.find('thead .js-discountmode').length?$('.js-discountmode'):row.find('.js-discountmode')},isIndividualDiscountMode:function isIndividualDiscountMode(row){var discountModeElement=this.getDiscountModeSelectElement(row),selectedOption=discountModeElement.find('option:selected');return '1'==selectedOption.val()},showIndividualDiscount:function showIndividualDiscount(row){var thisInstance=this,groupDiscount=thisInstance.getInventorySummaryDiscountContainer().find('.groupDiscount'),items=thisInstance.getInventoryItemsContainer(),newRow=$('#blackIthemTable').find('tbody');thisInstance.isIndividualDiscountMode(row)?(groupDiscount.addClass('d-none'),items.find('.changeDiscount').removeClass('d-none'),newRow.find('.changeDiscount').removeClass('d-none')):(groupDiscount.removeClass('d-none'),items.find('.changeDiscount').addClass('d-none'),newRow.find('.changeDiscount').addClass('d-none')),thisInstance.setDiscount(items,0),thisInstance.setDiscountParam(items,[]),thisInstance.rowsCalculations();},getCurrency:function getCurrency(){var currency=$('.js-currency',this.getInventoryHeadContainer());return currency.find('option:selected').val()},getTax:function getTax(row){var taxParams=row.find('.taxParam').val();if(''==taxParams||'[]'==taxParams||null==taxParams)return 0;taxParams=JSON.parse(taxParams);var aggregationType=$('.aggregationTypeTax').val(),valuePrices=this.getNetPrice(row),taxRate=0,types=taxParams.aggregationType;return 'string'==typeof types&&(types=[types]),types&&types.forEach(function(entry){var taxValue=0;'individual'===entry?taxValue=taxParams.individualTax:'global'===entry?taxValue=taxParams.globalTax:'group'===entry?taxValue=taxParams.groupTax:'regional'===entry?taxValue=taxParams.regionalTax:void 0,taxRate+=valuePrices*(taxValue/100),'2'==aggregationType&&(valuePrices+=taxRate);}),taxRate},getTaxPercent:function getTaxPercent(row){var taxParams=row.find('.taxParam').val();if(''==taxParams||'[]'==taxParams||null==taxParams)return 0;taxParams=JSON.parse(taxParams);var taxPercent=0,types='string'==typeof taxParams.aggregationType?[taxParams.aggregationType]:taxParams.aggregationType;return types.forEach(function(aggregationType){taxPercent+=taxParams[aggregationType+'Tax']||0;}),taxPercent},getTaxParams:function getTaxParams(row){var taxParams=row.find('.taxParam').val();return ''!=taxParams&&'[]'!=taxParams&&null!=taxParams&&JSON.parse(taxParams)},getQuantityValue:function getQuantityValue(row){return $('.qty',row).getNumberFromValue()},getUnitPriceValue:function getUnitPriceValue(row){return $('.unitPrice',row).getNumberFromValue()},getDiscount:function getDiscount(row){var discountParams=row.find('.discountParam').val(),aggregationType=$('.aggregationTypeDiscount').val();if(''==discountParams||'null'==discountParams||'[]'==discountParams||null==discountParams)return 0;discountParams=JSON.parse(discountParams);var valuePrices=this.getTotalPrice(row),discountRate=0,types=discountParams.aggregationType;return 'string'==typeof types&&(types=[types]),types&&types.forEach(function(entry){var discountValue;if('individual'==entry){discountValue=discountParams.individualDiscount;var discountType=discountParams.individualDiscountType;discountRate+='percentage'==discountType?valuePrices*(discountValue/100):discountValue;}if('global'==entry&&(discountRate+=valuePrices*(discountParams.globalDiscount/100)),'group'==entry){var groupDiscount=discountParams.groupDiscount?discountParams.groupDiscount:0;discountRate+=valuePrices*(groupDiscount/100);}'2'==aggregationType&&(valuePrices-=discountRate);}),discountRate},getNetPrice:function getNetPrice(row){return this.getTotalPrice(row)-this.getDiscount(row)},getTotalPrice:function getTotalPrice(row){return this.getQuantityValue(row)*this.getUnitPriceValue(row)},getGrossPrice:function getGrossPrice(row){return $('.grossPrice',row).getNumberFromValue()},getPurchase:function getPurchase(row){var qty=this.getQuantityValue(row),element=$('.purchase',row),purchase=0;return 0<element.length&&(purchase=App.Fields.Double.formatToDb(element.val())),purchase*qty},getSummaryGrossPrice:function getSummaryGrossPrice(){var thisInstance=this,price=0;return this.getInventoryItemsContainer().find(thisInstance.rowClass).each(function(){price+=thisInstance.getGrossPrice($(this));}),App.Fields.Double.formatToDb(price)},/**
		 * Set currency
		 * @param {int} val
		 */setCurrency:function setCurrency(val){this.getInventoryHeadContainer().find('.js-currency').val(val).trigger('change');},/**
		 * Set currency param
		 * @param {string} val json string
		 */setCurrencyParam:function setCurrencyParam(val){this.getInventoryHeadContainer().find('.js-currencyparam').val(val);},/**
		 * Set discount mode
		 * @param {int} val
		 */setDiscountMode:function setDiscountMode(val){this.getInventoryHeadContainer().find('.js-discountmode').val(val).trigger('change');},/**
		 * Set tax mode
		 * @param {int} val
		 */setTaxMode:function setTaxMode(val){this.getInventoryHeadContainer().find('.js-taxmode').val(val).trigger('change');},/**
		 * Set inventory id
		 * @param {jQuery} row
		 * @param {int} val
		 * @param {string} display
		 */setName:function setName(row,val,display){row.find('.js-name').val(val).trigger('change'),row.find('.js-name_display').val(display).attr('readonly','true').trigger('change');},/**
		 * Set inventory row quantity
		 * @param {jQuery} row
		 * @param {int} val
		 */setQuantity:function setQuantity(row,val){row.find('.qty').val(val).trigger('change');},/**
		 * Set unit original (db) value
		 * @param {jQuery} row
		 * @param {string} val
		 * @param {string} display
		 */setUnit:function setUnit(row,val,display){row.find('.unit').val(val).trigger('change'),row.find('.unitText').text(display).trigger('change');},/**
		 * Set subUnit original (db) value
		 * @param {jQuery} row
		 * @param {string} val
		 * @param {string} display
		 */setSubUnit:function setSubUnit(row,val,display){row.find('.subunit').val(val),row.find('.subunitText').val(display);},/**
		 * Set inventory row comment
		 * @param {jQuery} row
		 * @param {string} val
		 */setComment:function setComment(row,val){row.parent().find('[numrowex='+row.attr('numrow')+'] .comment').val(val);},setUnitPrice:function setUnitPrice(row,val){return val=App.Fields.Double.formatToDisplay(val),row.find('.unitPrice').val(val).attr('title',val),this},setPurchase:function setPurchase(row,val){return val=App.Fields.Double.formatToDisplay(val),row.find('.purchase').val(val),this},setNetPrice:function setNetPrice(row,val){val=App.Fields.Double.formatToDisplay(val),$('.netPriceText',row).text(val),$('.netPrice',row).val(val);},setGrossPrice:function setGrossPrice(row,val){val=App.Fields.Double.formatToDisplay(val),$('.grossPriceText',row).text(val),$('.grossPrice',row).val(val);},setTotalPrice:function setTotalPrice(row,val){val=App.Fields.Double.formatToDisplay(val),$('.totalPriceText',row).text(val),$('.totalPrice',row).val(val);},setMargin:function setMargin(row,val){val=App.Fields.Double.formatToDisplay(val),$('.margin',row).val(val);},setMarginP:function setMarginP(row,val){val=App.Fields.Double.formatToDisplay(val),$('.marginp',row).val(val);},setDiscount:function setDiscount(row,val){val=App.Fields.Double.formatToDisplay(val),$('.discount',row).val(val);},setDiscountParam:function setDiscountParam(row,val){$('.discountParam',row).val(JSON.stringify(val));},setTax:function setTax(row,val){$('.tax',row).val(App.Fields.Double.formatToDisplay(val));},setTaxPercent:function setTaxPercent(row,val){val=App.Fields.Double.formatToDisplay(val),$('.js-tax-percent',row).val(val);},setTaxParam:function setTaxParam(row,val){$('.taxParam',row).val(JSON.stringify(val));},quantityChangeActions:function quantityChangeActions(row){this.rowCalculations(row),this.summaryCalculations();},rowCalculations:function rowCalculations(row){this.calculateTotalPrice(row),this.calculateDiscounts(row),this.calculateNetPrice(row),this.calculateTaxes(row),this.calculateGrossPrice(row),this.calculateMargin(row);},rowsCalculations:function rowsCalculations(){var thisInstance=this;this.getInventoryItemsContainer().find(thisInstance.rowClass).each(function(){thisInstance.quantityChangeActions($(this));}),thisInstance.calculateItemNumbers();},calculateDiscounts:function calculateDiscounts(row){this.setDiscount(row,this.getDiscount(row));},calculateTaxes:function calculateTaxes(row){this.setTax(row,this.getTax(row)),this.setTaxPercent(row,this.getTaxPercent(row));},summaryCalculations:function summaryCalculations(){var thisInstance=this;thisInstance.getInventoryItemsContainer().find('tfoot .wisableTd').each(function(){thisInstance.calculatSummary($(this),$(this).data('sumfield'));}),thisInstance.calculatDiscountSummary(),thisInstance.calculatTaxSummary(),thisInstance.calculatCurrenciesSummary(),thisInstance.calculatMarginPSummary();},calculatSummary:function calculatSummary(element,field){var thisInstance=this,sum=0;this.getInventoryItemsContainer().find(thisInstance.rowClass).each(function(){var element=$(this).find('.'+field);0<element.length&&(sum+=App.Fields.Double.formatToDb(element.val()));}),element.text(App.Fields.Double.formatToDisplay(sum));},calculatMarginPSummary:function calculatMarginPSummary(){var sumRow=this.getInventoryItemsContainer().find('tfoot'),totalPriceField=0<sumRow.find('[data-sumfield="netPrice"]').length?sumRow.find('[data-sumfield="netPrice"]'):sumRow.find('[data-sumfield="totalPrice"]'),sumPrice=totalPriceField.getNumberFromText(),purchase=0,marginp=0;this.getInventoryItemsContainer().find(this.rowClass).each(function(){var qty=$(this).find('.qty').getNumberFromValue(),purchasePrice=$(this).find('.purchase').getNumberFromValue();0<qty&&0<purchasePrice&&(purchase+=qty*purchasePrice);});var subtraction=sumPrice-purchase;0!=purchase&&0!==sumPrice&&(marginp=100*(subtraction/sumPrice)),sumRow.find('[data-sumfield="marginP"]').text(App.Fields.Double.formatToDisplay(marginp)+'%');},calculatDiscountSummary:function calculatDiscountSummary(){var thisInstance=this,discount=thisInstance.getAllDiscount(),container=thisInstance.getInventorySummaryDiscountContainer();container.find('input').val(App.Fields.Double.formatToDisplay(discount));},getAllDiscount:function getAllDiscount(){var thisInstance=this,discount=0;return this.getInventoryItemsContainer().find(thisInstance.rowClass).each(function(){var row=$(this);discount+=thisInstance.getDiscount(row);}),discount},calculatCurrenciesSummary:function calculatCurrenciesSummary(){var container=this.getInventorySummaryCurrenciesContainer(),selected=$('.js-currency option:selected',this.getInventoryHeadContainer()),base=$('.js-currency option[data-base-currency="1"]',this.getInventoryHeadContainer()),conversionRate=selected.data('conversionRate'),baseConversionRate=base.data('conversionRate');if(conversionRate==baseConversionRate)return void container.addClass('d-none');conversionRate=parseFloat(baseConversionRate)/parseFloat(conversionRate),container.removeClass('d-none');var taxes=this.getAllTaxes(),sum=0;container.find('.js-panel__body').html(''),$.each(taxes,function(index,value){if(value!=null){value*=conversionRate;var row=container.find('.d-none .form-group').clone();row.find('.percent').text(index+'%'),row.find('input').val(App.Fields.Double.formatToDisplay(value)),row.appendTo(container.find('.js-panel__body')),sum+=value;}}),container.find('.js-panel__footer input').val(App.Fields.Double.formatToDisplay(sum));},calculatTaxSummary:function calculatTaxSummary(){var thisInstance=this,taxes=thisInstance.getAllTaxes(),container=thisInstance.getInventorySummaryTaxesContainer();container.find('.js-panel__body').html('');var sum=0;for(var index in taxes){var row=container.find('.d-none .form-group').clone();row.find('.percent').text(App.Fields.Double.formatToDisplay(index)+'%'),row.find('input').val(App.Fields.Double.formatToDisplay(taxes[index])),row.appendTo(container.find('.js-panel__body')),sum+=taxes[index];}container.find('.js-panel__footer input').val(App.Fields.Double.formatToDisplay(sum));},getAllTaxes:function getAllTaxes(){var thisInstance=this,tax=[],typeSummary=$('.aggregationTypeTax').val();return this.getInventoryItemsContainer().find(thisInstance.rowClass).each(function(){var row=$(this),netPrice=thisInstance.getNetPrice(row),params=row.find('.taxParam').val();if(''!=params&&'[]'!=params&&null!=params){var param=JSON.parse(params);'string'==typeof param.aggregationType&&(param.aggregationType=[param.aggregationType]),param.aggregationType&&$.each(param.aggregationType,function(index,name){if(name+='Tax',null!=param[name]){var percent=parseFloat(param[name]),old=0;null!=tax[percent]&&(old=parseFloat(tax[percent]));var taxRate=netPrice*(percent/100);tax[percent]=old+taxRate,'2'==typeSummary&&(netPrice+=taxRate);}});}}),tax},calculateNetPrice:function calculateNetPrice(row){this.setNetPrice(row,this.getNetPrice(row));},calculateGrossPrice:function calculateGrossPrice(row){var netPrice=this.getNetPrice(row);(this.isIndividualTaxMode(row)||this.isGroupTaxMode(row))&&(netPrice+=this.getTax(row)),this.setGrossPrice(row,netPrice);},calculateTotalPrice:function calculateTotalPrice(row){this.setTotalPrice(row,this.getTotalPrice(row));},calculateMargin:function calculateMargin(row){var netPrice=$('.netPrice',row).length?this.getNetPrice(row):this.getTotalPrice(row)-this.getDiscount(row);var purchase=this.getPurchase(row),margin=netPrice-purchase;this.setMargin(row,margin);var marginp='0';0!==purchase&&(marginp=100*(margin/purchase)),this.setMarginP(row,marginp);},calculateDiscount:function calculateDiscount(row,modal){var netPriceBeforeDiscount=App.Fields.Double.formatToDb(modal.find('.valueTotalPrice').text()),valuePrices=netPriceBeforeDiscount,globalDiscount=0,groupDiscount=0,individualDiscount=0,discountsType=modal.find('.discountsType').val();if('0'==discountsType||'1'==discountsType){if(0<modal.find('.js-active .globalDiscount').length&&(globalDiscount=App.Fields.Double.formatToDb(modal.find('.js-active .globalDiscount').val())),0<modal.find('.js-active .individualDiscountType').length){var individualTypeDiscount=modal.find('.js-active .individualDiscountType:checked').val(),value=App.Fields.Double.formatToDb(modal.find('.js-active .individualDiscountValue').val());individualDiscount='percentage'==individualTypeDiscount?netPriceBeforeDiscount*(value/100):value;}0<modal.find('.js-active .groupCheckbox').length&&!0==modal.find('.js-active .groupCheckbox').prop('checked')&&(groupDiscount=App.Fields.Double.formatToDb(modal.find('.groupValue').val()),groupDiscount=netPriceBeforeDiscount*(groupDiscount/100)),valuePrices*=(100-globalDiscount)/100,valuePrices-=individualDiscount,valuePrices-=groupDiscount;}else '2'==discountsType&&modal.find('.js-active').each(function(){var panel=$(this);if(0<panel.find('.globalDiscount').length){var _globalDiscount=App.Fields.Double.formatToDb(panel.find('.globalDiscount').val());valuePrices*=(100-_globalDiscount)/100;}else if(0<panel.find('.groupCheckbox').length&&!0==panel.find('.groupCheckbox').prop('checked')){var _groupDiscount=App.Fields.Double.formatToDb(panel.find('.groupValue').val());valuePrices*=(100-_groupDiscount)/100;}else if(0<panel.find('.individualDiscountType').length){var _value=App.Fields.Double.formatToDb(panel.find('.individualDiscountValue').val());'percentage'==panel.find('.individualDiscountType[name="individualDiscountType"]:checked').val()?valuePrices*=(100-_value)/100:valuePrices-=_value;}});modal.find('.valuePrices').text(App.Fields.Double.formatToDisplay(valuePrices)),modal.find('.valueDiscount').text(App.Fields.Double.formatToDisplay(netPriceBeforeDiscount-valuePrices));},calculateTax:function calculateTax(row,modal){var netPriceWithoutTax=App.Fields.Double.formatToDb(modal.find('.valueNetPrice').text()),valuePrices=netPriceWithoutTax,globalTax=0,groupTax=0,regionalTax=0,individualTax=0,taxType=modal.find('.taxsType').val();if('0'==taxType||'1'==taxType){if(0<modal.find('.js-active .globalTax').length&&(globalTax=App.Fields.Double.formatToDb(modal.find('.js-active .globalTax').val())),0<modal.find('.js-active .individualTaxValue').length){var value=App.Fields.Double.formatToDb(modal.find('.js-active .individualTaxValue').val());individualTax=value/100*valuePrices;}0<modal.find('.js-active .groupTax').length&&(groupTax=App.Fields.Double.formatToDb(modal.find('.groupTax').val()),groupTax=netPriceWithoutTax*(groupTax/100)),0<modal.find('.js-active .regionalTax').length&&(regionalTax=App.Fields.Double.formatToDb(modal.find('.regionalTax').val()),regionalTax=netPriceWithoutTax*(regionalTax/100)),valuePrices*=(100+globalTax)/100,valuePrices+=individualTax,valuePrices+=groupTax,valuePrices+=regionalTax;}else '2'==taxType&&modal.find('.js-active').each(function(){var panel=$(this);if(0<panel.find('.globalTax').length){var _globalTax=App.Fields.Double.formatToDb(panel.find('.globalTax').val());valuePrices*=(100+_globalTax)/100;}else if(0<panel.find('.groupTax').length){var _groupTax=App.Fields.Double.formatToDb(panel.find('.groupTax').val());valuePrices*=(100+_groupTax)/100;}else if(0<panel.find('.regionalTax').length){var _regionalTax=App.Fields.Double.formatToDb(panel.find('.regionalTax').val());valuePrices*=(100+_regionalTax)/100;}else if(0<panel.find('.individualTaxValue').length){var _value2=App.Fields.Double.formatToDb(panel.find('.individualTaxValue').val());valuePrices=(_value2+100)/100*valuePrices;}});if(netPriceWithoutTax){var taxValue=100*((valuePrices-netPriceWithoutTax)/netPriceWithoutTax);modal.find('.js-tax-value').text(App.Fields.Double.formatToDisplay(taxValue));}modal.find('.valuePrices').text(App.Fields.Double.formatToDisplay(valuePrices)),modal.find('.valueTax').text(App.Fields.Double.formatToDisplay(valuePrices-netPriceWithoutTax));},updateRowSequence:function updateRowSequence(){var items=this.getInventoryItemsContainer();items.find(this.rowClass).each(function(index){$(this).find('.sequence').val(index+1);});},registerInventorySaveData:function registerInventorySaveData(){var thisInstance=this;thisInstance.form.on(Vtiger_Edit_Js.recordPreSave,function(){if(thisInstance.syncHeaderData(),!thisInstance.checkLimits(thisInstance.form))return !1;var table=thisInstance.form.find('#blackIthemTable');table.find('[name]').removeAttr('name');});},syncHeaderData:function syncHeaderData(){var header=this.getInventoryHeadContainer();this.getInventoryItemsContainer().find('.js-sync').each(function(){var element=$(this);element.val(header.find('.js-'+element.data('syncId')).val());});},/**
		 * Function which will be used to handle price book popup
		 * @params :  element - popup image element
		 */pricebooksModalHandler:function pricebooksModalHandler(element){var thisInstance=this,lineItemRow=element.closest(this.rowClass),rowName=lineItemRow.find('.rowName');app.showRecordsList({module:'PriceBooks',src_module:$('[name="popupReferenceModule"]',rowName).val(),src_record:$('.sourceField',rowName).val(),src_field:$('[name="popupReferenceModule"]',rowName).data('field'),currency_id:thisInstance.getCurrency()||CONFIG.defaultCurrencyId},function(modal,instance){instance.setSelectEvent(function(responseData){AppConnector.request({module:'PriceBooks',action:'ProductListPrice',record:responseData.id,src_record:$('.sourceField',rowName).val()}).done(function(data){data.result?(thisInstance.setUnitPrice(lineItemRow,data.result),thisInstance.quantityChangeActions(lineItemRow)):app.errorLog('Incorrect data',responseData);});});});},subProductsCashe:[],loadSubProducts:function loadSubProducts(parentRow,indicator){var thisInstance=this,progressInstace=void 0,recordId=$('input.sourceField',parentRow).val(),recordModule=parentRow.find('.rowName input[name="popupReferenceModule"]').val();if(thisInstance.removeSubProducts(parentRow),'0'==recordId||''==recordId||0>$.inArray(recordModule,['Products','Services']))return !1;if(thisInstance.subProductsCashe[recordId])return thisInstance.addSubProducts(parentRow,thisInstance.subProductsCashe[recordId]),!1;indicator&&(progressInstace=$.progressIndicator()),AppConnector.request({module:'Products',action:'SubProducts',record:recordId}).done(function(data){var responseData=data.result;thisInstance.subProductsCashe[recordId]=responseData,thisInstance.addSubProducts(parentRow,responseData),progressInstace&&progressInstace.hide();}).fail(function(){progressInstace&&progressInstace.hide();});},removeSubProducts:function removeSubProducts(parentRow){var subProductsContainer=$('.subProductsContainer ul',parentRow);subProductsContainer.find('li').remove();},addSubProducts:function addSubProducts(parentRow,responseData){var subProductsContainer=$('.subProductsContainer ul',parentRow);for(var id in responseData){var priductText=$('<li>').text(responseData[id]);subProductsContainer.append(priductText);}},mapResultsToFields:function mapResultsToFields(referenceModule,parentRow,responseData){var unit=void 0,taxParam=[],thisInstance=this,isGroupTax=thisInstance.isGroupTaxMode();for(var id in responseData){var recordData=responseData[id],description=recordData.description,unitPriceValues=recordData.unitPriceValues,unitPriceValuesJson=JSON.stringify(unitPriceValues);// Load taxes detail
if(isGroupTax){var parameters=parentRow.closest('.inventoryItems').data('taxParam');parameters&&(taxParam=JSON.parse(parameters));}else recordData.taxes&&(taxParam={aggregationType:recordData.taxes.type},taxParam[recordData.taxes.type+'Tax']=recordData.taxes.value);// Load auto fields
for(var field in recordData.taxes&&parentRow.find('.js-tax').attr('data-default-tax',recordData.taxes.value),thisInstance.setPurchase(parentRow,recordData.purchase),thisInstance.setTaxParam(parentRow,taxParam),thisInstance.setTax(parentRow,0),thisInstance.setTaxPercent(parentRow,0),recordData.autoFields)parentRow.find('input.'+field).val(recordData.autoFields[field]),recordData.autoFields[field+'Text']&&parentRow.find('.'+field+'Text').text(recordData.autoFields[field+'Text']);void 0!==recordData.price&&thisInstance.setUnitPrice(parentRow,recordData.price),void 0!==unitPriceValuesJson&&$('input.unitPrice',parentRow).attr('list-info',unitPriceValuesJson);var commentElement=$('textarea.js-inventory-item-comment',parentRow.next()),editorInstance=CKEDITOR.instances[commentElement.attr('id')];editorInstance?editorInstance.setData(description):commentElement.val(description),'undefined'!=typeof recordData.autoFields.unit&&(unit=recordData.autoFields.unit),this.triggerQtyParam(unit,recordData.qtyPerUnit,parentRow);}'Products'===referenceModule&&thisInstance.loadSubProducts(parentRow,!0),thisInstance.quantityChangeActions(parentRow);},/**
		 * Update qtyparam
		 * @param {null|string} unit
		 * @param int perUnit
		 * @param {jQuery} parentRow
		 */triggerQtyParam:function triggerQtyParam(unit,perUnit,parentRow){var validationEngine;switch(unit){default:$('.qtyParamInfo',parentRow).addClass('d-none'),validationEngine='validate[required,funcCall[Vtiger_NumberUserFormat_Validator_Js.invokeValidation]]';break;case'pack':$('.qtyParamInfo',parentRow).removeClass('d-none').removeClass('active'),$('.qtyParamInfo',parentRow).attr('data-content',perUnit),validationEngine='validate[required,funcCall[Vtiger_WholeNumber_Validator_Js.invokeValidation]]';break;case'pcs':$('.qtyParamInfo',parentRow).addClass('d-none'),validationEngine='validate[required,funcCall[Vtiger_WholeNumber_Validator_Js.invokeValidation]]';}$('input.qty',parentRow).attr('data-validation-engine',validationEngine);},saveDiscountsParameters:function saveDiscountsParameters(parentRow,modal){var thisInstance=this,info={},panels=modal.find('[name="aggregationType"]:checked');info.aggregationType=[],panels.each(function(){var type=$(this).val(),container=$(this).closest('.js-panel');1<panels.length?info.aggregationType.push(type):info.aggregationType=type,container.find('[name="'+type+'Discount"]').each(function(){var param=type+'Discount',element=$(this);if('global'===type)info[param]=App.Fields.Double.formatToDb(element.val());else if('group'===type&&element.closest('.input-group').find('.groupCheckbox').prop('checked'))info[param]=App.Fields.Double.formatToDb(element.val());else if('individual'===type){info.individualDiscountType=container.find('[name="individualDiscountType"]:checked').val(),info[param]=App.Fields.Double.formatToDb(element.val());}});}),thisInstance.setDiscountParam($('#blackIthemTable'),info),thisInstance.setDiscountParam(parentRow,info);},saveTaxsParameters:function saveTaxsParameters(parentRow,modal){var thisInstance=this,info={},extend=['aggregationType','groupCheckbox','individualTaxType'];$.each(thisInstance.taxModalFields,function(index,param){0<=$.inArray(param,extend)?1<modal.find('[name="'+param+'"]:checked').length?(info[param]=[],modal.find('[name="'+param+'"]:checked').each(function(){info[param].push($(this).val());})):info[param]=modal.find('[name="'+param+'"]:checked').val():info[param]=App.Fields.Double.formatToDb(modal.find('[name="'+param+'"]').val());}),parentRow.data('taxParam',JSON.stringify(info)),thisInstance.setTaxParam(parentRow,info),thisInstance.setTaxParam($('#blackIthemTable'),info);},showExpandedRow:function showExpandedRow(row){var thisInstance=this,items=thisInstance.getInventoryItemsContainer(),inventoryRowExpanded=items.find('[numrowex="'+row.attr('numrow')+'"]'),element=row.find('.toggleVisibility');element.data('status','1'),inventoryRowExpanded.removeClass('d-none');},hideExpandedRow:function hideExpandedRow(row){var thisInstance=this,items=thisInstance.getInventoryItemsContainer(),inventoryRowExpanded=items.find('[numrowex="'+row.attr('numrow')+'"]'),element=row.find('.toggleVisibility');element.data('status','0'),inventoryRowExpanded.addClass('d-none');},initDiscountsParameters:function initDiscountsParameters(parentRow,modal){var thisInstance=this,parameters=parentRow.find('.discountParam').val();''==parameters||null==parameters||(parameters=JSON.parse(parameters),$.each(thisInstance.discountModalFields,function(index,param){var parameter=parameters[param],field=modal.find('[name="'+param+'"]');if('checkbox'==field.attr('type')||'radio'==field.attr('type')){if('groupCheckbox'===param&&void 0!==parameters.groupDiscount)return field.prop('checked',!0),!0;var array=parameter;$.isArray(array)||(array=[array]),$.each(array,function(index,arrayValue){var value=field.filter('[value="'+arrayValue+'"]').prop('checked',!0);'aggregationType'==param&&(value.closest('.js-panel').find('.js-panel__body').removeClass('d-none'),value.closest('.js-panel').addClass('js-active'));});}else 'SELECT'==field.prop('tagName')?field.find('option[value="'+parameter+'"]').prop('selected','selected').change():field.prop('readonly')||field.val(parameter);}),thisInstance.calculateDiscount(parentRow,modal));},initTaxParameters:function initTaxParameters(parentRow,modal){var thisInstance=this,parameters=void 0;parameters=parentRow.data('taxParam')?parentRow.data('taxParam'):parentRow.find('.taxParam').val();parameters&&(parameters=JSON.parse(parameters.toString()),$.each(thisInstance.taxModalFields,function(index,param){var parameter=parameters[param],field=modal.find('[name="'+param+'"]');if('checkbox'===field.attr('type')||'radio'===field.attr('type')){var value,array=parameter;$.isArray(array)||(array=[array]),$.each(array,function(index,arrayValue){value=field.filter('[value="'+arrayValue+'"]').prop('checked',!0),'aggregationType'===param&&(value.closest('.js-panel').find('.js-panel__body').removeClass('d-none'),value.closest('.js-panel').addClass('js-active'));});}else if('SELECT'===field.prop('tagName'))field.find('option[value="'+parameter+'"]').prop('selected','selected').change();else {var input=modal.find('[name="'+param+'"]');input.val(App.Fields.Double.formatToDisplay(parameter)),'individualTax'===param&&input.formatNumber();}}),thisInstance.calculateTax(parentRow,modal));},limitEnableSave:!1,checkLimits:function checkLimits(){var thisInstance=this,account=thisInstance.getAccountId(),limit=parseInt(app.getMainParams('inventoryLimit')),response=!0;if(''==account||thisInstance.limitEnableSave||!limit)return response;var params={data:{module:app.getModuleName(),action:'Inventory',mode:'checkLimits',record:account,currency:thisInstance.getCurrency(),price:thisInstance.getSummaryGrossPrice()},async:!1,dataType:'json'},progressInstace=$.progressIndicator();return AppConnector.request(params).done(function(data){progressInstace.hide(),!1==data.result.status&&(app.showModalWindow(data.result.html,function(){}),response=!1);}).fail(function(){progressInstace.hide();}),response},currencyChangeActions:function currencyChangeActions(select,option){option.data('baseCurrency')===select.val()?(this.currencyConvertValues(select,option),select.data('oldValue',select.val())):this.showCurrencyChangeModal(select,option);},showCurrencyChangeModal:function showCurrencyChangeModal(select,option){var thisInstance=this;if(!0!=thisInstance.lockCurrencyChange){thisInstance.lockCurrencyChange=!0;var block=select.closest('th'),modal=block.find('.modelContainer').clone();app.showModalWindow(modal,function(data){var modal=$(data),currencyParam=JSON.parse(block.find('.js-currencyparam').val());if(!1!=currencyParam){if('undefined'==typeof currencyParam[option.val()]){currencyParam[option.val()]={value:1,date:''};}modal.find('.currencyName').text(option.text()),modal.find('.currencyRate').val(currencyParam[option.val()].value),modal.find('.currencyDate').text(currencyParam[option.val()].date);}modal.on('click','button[type="submit"]',function(){var rate=modal.find('.currencyRate').val(),value=App.Fields.Double.formatToDb(rate),conversionRate=1/App.Fields.Double.formatToDb(rate);option.data('conversionRate',conversionRate),currencyParam[option.val()]={date:option.data('conversionDate'),value:value.toString(),conversion:conversionRate.toString()},block.find('.js-currencyparam').val(JSON.stringify(currencyParam)),thisInstance.currencyConvertValues(select,option),select.data('oldValue',select.val()),app.hideModalWindow(),thisInstance.lockCurrencyChange=!1;}).one('hidden.bs.modal',function(){select.val(select.data('oldValue')).change(),thisInstance.lockCurrencyChange=!1;});});}},currencyConvertValues:function currencyConvertValues(select,selected){var thisInstance=this,previous=select.find('option[value="'+select.data('oldValue')+'"]'),conversionRate=selected.data('conversionRate'),prevConversionRate=previous.data('conversionRate');conversionRate=parseFloat(conversionRate)/parseFloat(prevConversionRate),this.getInventoryItemsContainer().find(thisInstance.rowClass).each(function(){var row=$(this);thisInstance.setUnitPrice(row,App.Fields.Double.formatToDb(thisInstance.getUnitPriceValue(row)*conversionRate)),thisInstance.setDiscount(row,App.Fields.Double.formatToDb(thisInstance.getDiscount(row)*conversionRate)),thisInstance.setTax(row,App.Fields.Double.formatToDb(thisInstance.getTax(row)*conversionRate)),thisInstance.quantityChangeActions(row);});},/**
		 * Set up all row data that comes from request
		 * @param {jQuery} row
		 * @param {object} rowData
		 */setRowData:function setRowData(row,rowData){this.setName(row,rowData.name,rowData.info.name),this.setQuantity(row,App.Fields.Double.formatToDisplay(rowData.qty)),this.setUnit(row,rowData.info.autoFields.unit,rowData.info.autoFields.unitText),'undefined'!=typeof rowData.info.autoFields&&'undefined'!=typeof rowData.info.autoFields.subunit&&this.setSubUnit(row,rowData.info.autoFields.subunit,rowData.info.autoFields.subunitText),this.setComment(row,rowData.comment1),this.setUnitPrice(row,App.Fields.Double.formatToDisplay(rowData.price)),this.setNetPrice(row,App.Fields.Double.formatToDisplay(rowData.net)),this.setGrossPrice(row,App.Fields.Double.formatToDisplay(rowData.gross)),this.setTotalPrice(row,App.Fields.Double.formatToDisplay(rowData.total));var discountParam=rowData.discountparam||null;this.setDiscountParam(row,JSON.parse(discountParam)),this.setDiscount(row,App.Fields.Double.formatToDisplay(rowData.discount)),this.setTaxParam(row,JSON.parse(rowData.taxparam)),this.setTax(row,App.Fields.Double.formatToDisplay(rowData.tax)),this.setTaxPercent(row,App.Fields.Double.formatToDisplay(rowData.tax_percent));},/**
		 * Add new row to inventory list
		 * @param {string} module
		 * @param {string} baseTableId
		 * @param {object} rowData [optional]
		 */addItem:function addItem(module,baseTableId){var rowData=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2],items=this.getInventoryItemsContainer(),newRow=this.getBasicRow(),sequenceNumber=this.getNextLineItemRowNumber(),replaced=newRow.html().replace(/\_NUM_/g,sequenceNumber),moduleLbls=newRow.data('moduleLbls');newRow.html(replaced),newRow=newRow.children().appendTo(items.find('.js-inventory-items-body')),newRow.find('.rowName input[name="popupReferenceModule"]').val(module).data('field',baseTableId),newRow.find('.js-module-icon').removeClass().addClass('yfm-'+module),newRow.find('.rowName span.input-group-text').attr('data-content',moduleLbls[module]),newRow.find('.colPicklistField select').each(function(index,select){select=$(select),select.find('option').each(function(index,option){option=$(option),option.data('module')!==module&&option.remove();});}),this.initItem(newRow),Vtiger_Edit_Js.getInstance().registerAutoCompleteFields(newRow),rowData&&(this.setRowData(newRow,rowData),this.quantityChangeActions(newRow));},/**
		 * Register add item button click
		 * @param {jQuery} container
		 */registerAddItem:function registerAddItem(){var thisInstance=this,itemsHeader=thisInstance.getInventoryHeadContainer();itemsHeader.find('.js-inv-add-item').on('click',function(){var btn=$(this);thisInstance.addItem(btn.data('module'),btn.data('field'));});},registerSortableItems:function registerSortableItems(){var thisInstance=this,items=thisInstance.getInventoryItemsContainer();items.sortable({handle:'.dragHandle',items:thisInstance.rowClass,revert:!0,tolerance:'pointer',placeholder:'ui-state-highlight',helper:function helper(e,ui){return ui.children().each(function(index,element){element=$(element),element.width(element.width());}),ui},start:function start(event,ui){items.find(thisInstance.rowClass).each(function(index,element){var row=$(element);thisInstance.hideExpandedRow(row);}),ui.item.startPos=ui.item.index();},stop:function stop(event,ui){var numrow=$(ui.item).attr('numrow'),child=items.find('.numRow'+numrow).remove().clone();items.find('[numrow="'+numrow+'"]').after(child),ui.item.startPos<ui.item.index()&&(child=items.find('.numRow'+numrow).next().remove().clone(),items.find('[numrow="'+numrow+'"]').before(child)),thisInstance.updateRowSequence();}});},registerShowHideExpanded:function registerShowHideExpanded(){var thisInstance=this;thisInstance.form.on('click','.toggleVisibility',function(e){var element=$(e.currentTarget),row=thisInstance.getClosestRow(element);0==element.data('status')?thisInstance.showExpandedRow(row):thisInstance.hideExpandedRow(row);});},registerPriceBookModal:function registerPriceBookModal(container){var thisInstance=this;container.find('.js-price-book-modal').on('click',function(e){var element=$(e.currentTarget),response=thisInstance.isRecordSelected(element);!0==response||thisInstance.pricebooksModalHandler(element);});},registerRowChangeEvent:function registerRowChangeEvent(container){var _this=this;container.on('focusout','.qty',function(e){var element=$(e.currentTarget);element.formatNumber(),_this.quantityChangeActions(_this.getClosestRow(element));}),container.on('focusout','.unitPrice',function(e){var element=$(e.currentTarget);element.formatNumber(),_this.quantityChangeActions(_this.getClosestRow(element));}),container.on('focusout','.purchase',function(e){var element=$(e.currentTarget);element.formatNumber(),_this.quantityChangeActions(_this.getClosestRow(element));});var headContainer=this.getInventoryHeadContainer();headContainer.on('change','.js-taxmode',function(e){var element=$(e.currentTarget);_this.showIndividualTax(_this.getClosestRow(element)),_this.rowsCalculations();}),headContainer.on('change','.js-discountmode',function(e){var element=$(e.currentTarget);_this.showIndividualDiscount(_this.getClosestRow(element)),_this.rowsCalculations();});},registerSubProducts:function registerSubProducts(){var thisInstance=this;thisInstance.form.find('.inventoryItems '+thisInstance.rowClass).each(function(){thisInstance.loadSubProducts($(this),!1);});},/**
		 * Register clear reference selection
		 */registerClearReferenceSelection:function registerClearReferenceSelection(){var _this2=this;this.form.on('click','.clearReferenceSelection',function(e){var referenceGroup=$(e.currentTarget).closest('div.referenceGroup');if(referenceGroup.length)referenceGroup.find('input[id$="_display"]').val('').removeAttr('readonly');else {var row=_this2.getClosestRow($(e.currentTarget));_this2.removeSubProducts(row),row.find('.unitPrice,.tax,.discount,.margin,.purchase,.js-tax-percent').val(App.Fields.Double.formatToDisplay(0)),row.find('.qty').val(1),row.find('textarea,.valueVal').val(''),row.find('.valueText').text(''),row.find('.qtyParamInfo').addClass('d-none'),row.find('.recordLabel').val('').removeAttr('readonly'),_this2.isGroupTaxMode()||_this2.setTaxParam(row,[]),_this2.quantityChangeActions(row);}});},registerDeleteLineItemEvent:function registerDeleteLineItemEvent(container){var _this3=this;container.on('click','.deleteRow',function(e){var num=_this3.getClosestRow($(e.currentTarget)).attr('numrow');_this3.deleteLineItem(num);});},deleteLineItem:function deleteLineItem(num){this.getInventoryItemsContainer().find('[numrowex="'+num+'"] .js-inventory-item-comment').each(function(){App.Fields.Text.destroyEditor($(this));}),this.getInventoryItemsContainer().find('[numrow="'+num+'"], [numrowex="'+num+'"]').remove(),this.checkDeleteIcon(),this.rowsCalculations(),0===this.getInventoryItemsContainer().find('.inventoryRow').length&&$('#inventoryItemsNo').val(0),this.updateRowSequence();},registerChangeDiscount:function registerChangeDiscount(){var thisInstance=this;thisInstance.form.on('click','.changeDiscount',function(e){var parentRow=void 0,element=$(e.currentTarget),params={module:app.getModuleName(),view:'Inventory',mode:'showDiscounts',currency:thisInstance.getCurrency(),relatedRecord:thisInstance.getAccountId()};element.hasClass('groupDiscount')?(parentRow=thisInstance.getInventoryItemsContainer(),params.totalPrice=0==parentRow.find('tfoot .colTotalPrice').length?0:App.Fields.Double.formatToDb(parentRow.find('tfoot .colTotalPrice').text()),params.discountType=1):(parentRow=element.closest(thisInstance.rowClass),params.totalPrice=thisInstance.getTotalPrice(parentRow),params.discountType=0);var progressInstace=$.progressIndicator();AppConnector.request(params).done(function(data){app.showModalWindow(data,function(data){thisInstance.initDiscountsParameters(parentRow,$(data)),thisInstance.registerChangeDiscountModal(data,parentRow,params);}),progressInstace.hide();}).fail(function(){progressInstace.hide();});});},registerChangeDiscountModal:function registerChangeDiscountModal(modal,parentRow,params){var thisInstance=this;modal.on('change','.individualDiscountType',function(e){var element=$(e.currentTarget);modal.find('.individualDiscountContainer .input-group-text').text(element.data('symbol'));}),modal.on('change','.activeCheckbox[name="aggregationType"]',function(e){var element=$(e.currentTarget);'checkbox'==element.attr('type')&&this.checked?(element.closest('.js-panel').find('.js-panel__body').removeClass('d-none'),element.closest('.js-panel').addClass('js-active')):'radio'==element.attr('type')?(modal.find('.js-panel').removeClass('js-active'),modal.find('.js-panel .js-panel__body').addClass('d-none'),element.closest('.js-panel').find('.js-panel__body').removeClass('d-none'),element.closest('.js-panel').addClass('js-active')):(element.closest('.js-panel').find('.js-panel__body').addClass('d-none'),element.closest('.js-panel').removeClass('js-active'));}),modal.on('change','.activeCheckbox, .globalDiscount,.individualDiscountValue,.individualDiscountType,.groupCheckbox',function(){thisInstance.calculateDiscount(parentRow,modal);}),modal.on('click','.saveDiscount',function(){if(thisInstance.saveDiscountsParameters(parentRow,modal),0==params.discountType)thisInstance.setDiscount(parentRow,App.Fields.Double.formatToDb(modal.find('.valueDiscount').text())),thisInstance.quantityChangeActions(parentRow);else {var rate=App.Fields.Double.formatToDb(modal.find('.valueDiscount').text())/App.Fields.Double.formatToDb(modal.find('.valueTotalPrice').text());parentRow.find(thisInstance.rowClass).each(function(){thisInstance.setDiscount($(this),thisInstance.getTotalPrice($(this))*rate),thisInstance.quantityChangeActions($(this));});}app.hideModalWindow();});},registerChangeTax:function registerChangeTax(){var thisInstance=this;thisInstance.form.on('click','.changeTax',function(e){var parentRow=void 0,element=$(e.currentTarget),params={module:app.getModuleName(),view:'Inventory',mode:'showTaxes',currency:thisInstance.getCurrency(),sourceRecord:app.getRecordId()};if(element.hasClass('groupTax')){parentRow=thisInstance.getInventoryItemsContainer();var totalPrice=0;0<parentRow.find('tfoot .colNetPrice').length?totalPrice=parentRow.find('tfoot .colNetPrice').text():0<parentRow.find('tfoot .colTotalPrice ').length&&(totalPrice=parentRow.find('tfoot .colTotalPrice ').text()),params.totalPrice=App.Fields.Double.formatToDb(totalPrice),params.taxType=1;}else {parentRow=element.closest(thisInstance.rowClass);var sourceRecord=parentRow.find('.rowName .sourceField').val();params.totalPrice=thisInstance.getNetPrice(parentRow),params.taxType=0,sourceRecord&&(params.record=sourceRecord),params.recordModule=parentRow.find('.rowName [name="popupReferenceModule"]').val();}var progressInstace=$.progressIndicator();AppConnector.request(params).done(function(data){app.showModalWindow(data,function(data){thisInstance.initTaxParameters(parentRow,$(data)),thisInstance.registerChangeTaxModal(data,parentRow,params);}),progressInstace.hide();}).fail(function(){progressInstace.hide();});});},lockCurrencyChange:!1,registerChangeCurrency:function registerChangeCurrency(){var _this4=this;this.getInventoryHeadContainer().on('change','.js-currency',function(e){var element=$(e.currentTarget),symbol=element.find('option:selected').data('conversionSymbol');_this4.currencyChangeActions(element,element.find('option:selected')),_this4.form.find('.currencySymbol').text(symbol);});},registerChangeTaxModal:function registerChangeTaxModal(modal,parentRow,params){var thisInstance=this;modal.on('change','.individualTaxType',function(e){var element=$(e.currentTarget);modal.find('.individualTaxContainer .input-group-text').text(element.data('symbol'));}),modal.on('change','.activeCheckbox[name="aggregationType"]',function(e){var element=$(e.currentTarget);'checkbox'==element.attr('type')&&this.checked?(element.closest('.js-panel').find('.js-panel__body').removeClass('d-none'),element.closest('.js-panel').addClass('js-active')):'radio'==element.attr('type')?(modal.find('.js-panel').removeClass('js-active'),modal.find('.js-panel .js-panel__body').addClass('d-none'),element.closest('.js-panel').find('.js-panel__body').removeClass('d-none'),element.closest('.js-panel').addClass('js-active')):(element.closest('.js-panel').find('.js-panel__body').addClass('d-none'),element.closest('.js-panel').removeClass('js-active'));}),modal.on('change','.activeCheckbox, .globalTax, .individualTaxValue, .groupTax, .regionalTax',function(){thisInstance.calculateTax(parentRow,modal);}),modal.on('click','.saveTaxs',function(){if(thisInstance.saveTaxsParameters(parentRow,modal),'0'==params.taxType)thisInstance.setTax(parentRow,App.Fields.Double.formatToDb(modal.find('.valueTax').text())),thisInstance.setTaxPercent(parentRow,App.Fields.Double.formatToDb(modal.find('.js-tax-value').text())),thisInstance.quantityChangeActions(parentRow);else {var rate=App.Fields.Double.formatToDb(modal.find('.valueTax').text())/App.Fields.Double.formatToDb(modal.find('.valueNetPrice').text());parentRow.find(thisInstance.rowClass).each(function(){var totalPrice;0<$('.netPrice',$(this)).length?totalPrice=thisInstance.getNetPrice($(this)):0<$('.totalPrice',$(this)).length&&(totalPrice=thisInstance.getTotalPrice($(this))),thisInstance.setTax($(this),totalPrice*rate),thisInstance.setTaxPercent($(this),App.Fields.Double.formatToDb(modal.find('.js-tax-value').text())),thisInstance.quantityChangeActions($(this));});}app.hideModalWindow();});},registerRowAutoComplete:function registerRowAutoComplete(container){var thisInstance=this,sourceFieldElement=container.find('.sourceField.js-name');sourceFieldElement.on(Vtiger_Edit_Js.referenceSelectionEvent,function(e,params){var record=params.record,element=$(e.currentTarget),parentRow=element.closest(thisInstance.rowClass),selectedModule=parentRow.find('.rowName [name="popupReferenceModule"]').val(),dataUrl='index.php?module='+app.getModuleName()+'&action=Inventory&mode=getDetails&record='+record+'&fieldname='+element.data('columnname');thisInstance.getCurrency()&&(dataUrl+='&currency_id='+thisInstance.getCurrency()),AppConnector.request(dataUrl).done(function(data){for(var id in data)if('object'==_typeof(data[id])){var recordData=data[id];thisInstance.mapResultsToFields(selectedModule,parentRow,recordData);}});});},calculateItemNumbers:function calculateItemNumbers(){var thisInstance=this,items=this.getInventoryItemsContainer(),i=1;items.find(thisInstance.rowClass).each(function(){$(this).find('.itemNumberText').text(i),i++;});},initItem:function initItem(container){var thisInstance=this;'undefined'==typeof container&&(container=thisInstance.getInventoryItemsContainer()),thisInstance.registerDeleteLineItemEvent(container),thisInstance.registerPriceBookModal(container),thisInstance.registerRowChangeEvent(container),thisInstance.registerRowAutoComplete(container),thisInstance.checkDeleteIcon(),thisInstance.rowsCalculations(),thisInstance.updateRowSequence(),App.Fields.Picklist.showSelect2ElementView(container.find('.selectInv')),App.Fields.Date.register(container,!0,{},'dateFieldInv'),container.validationEngine('detach'),container.validationEngine(app.validationEngineOptions),App.Fields.Text.Editor.register(container);},/**
		 * Load inventory data for specified record
		 * @param {int} recordId
		 * @param {string} sourceModule
		 * @param {function|bool} success callback
		 * @param {function|bool} fail callback
		 * @returns Promise
		 */loadInventoryData:function loadInventoryData(recordId,sourceModule){var _this5=this,success=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2],fail=!!(3<arguments.length&&arguments[3]!==void 0)&&arguments[3],progressLoader=$.progressIndicator({blockInfo:{enabled:!0}});return new Promise(function(resolve,reject){AppConnector.request({module:app.getModuleName(),src_module:sourceModule,src_record:recordId,action:'Inventory',mode:'getTableData',record:app.getRecordId()}).done(function(response){var activeModules=[];_this5.getInventoryHeadContainer().find('.js-inv-add-item').each(function(index,addBtn){activeModules.push($(addBtn).data('module'));}),progressLoader.progressIndicator({mode:'hide'});var oldCurrencyChangeAction=_this5.currencyChangeActions;_this5.currencyChangeActions=function(select,option){this.currencyConvertValues(select,option),select.data('oldValue',select.val());};var first=response.result[Object.keys(response.result)[0]];_this5.setCurrencyParam(first.currencyparam),_this5.setCurrency(first.currency),_this5.setDiscountMode(first.discountmode),_this5.setTaxMode(first.taxmode),_this5.currencyChangeActions=oldCurrencyChangeAction,_this5.clearInventory(),$.each(response.result,function(index,row){-1===activeModules.indexOf(row.moduleName)?Vtiger_Helper_Js.showMessage({type:'error',text:app.vtranslate('JS_INVENTORY_ITEM_MODULE_NOT_FOUND').replace('${sourceModule}',row.moduleName).replace('${position}',row.info.name)}):_this5.addItem(row.moduleName,row.basetableid,row);}),_this5.summaryCalculations(),resolve(response.result),'function'==typeof success&&success(response.result);}).fail(function(error,err){progressLoader.progressIndicator({mode:'hide'}),reject(error,err),'function'==typeof fail&&fail(error,err);});})},/**
		 * Clear inventory data
		 */clearInventory:function clearInventory(){var _this6=this;this.getInventoryItemsContainer().find('.inventoryRow').each(function(_,e){var num=$(e).attr('numrow');_this6.deleteLineItem(num);});},/**
		 * Function which will register all the events
		 */registerEvents:function registerEvents(container){this.form=container,this.registerInventorySaveData(),this.registerAddItem(),this.initItem(),this.registerSortableItems(),this.registerSubProducts(),this.registerChangeDiscount(),this.registerChangeTax(),this.registerClearReferenceSelection(),this.registerShowHideExpanded(),this.registerChangeCurrency(),this.setDefaultGlobalTax(container);}});
//# sourceMappingURL=Inventory.min.js.map
